


*** 3. LABOR MARKET CONCENTRATION ***


*Table 3


use "$data\LMC_kldb_35_0_1223.dta", clear


count if HHI_H_35_0==1
count if HHI_H_35_0!=.
display 52568 / 484008 // HHI=1: 10.9 percent

sum HHI_H_35_0, detail // mean = 0.257, std = 0.306, p25=0.042, p75=0.333

	local 1_mean : di %4.3f r(mean)
	local 1_p10  : di %4.3f r(p10)
	local 1_p25  : di %4.3f r(p25)
	local 1_p50  : di %4.3f r(p50)
	local 1_p75  : di %4.3f r(p75)
	local 1_p90  : di %4.3f r(p90)	
	local 1_n    : di r(N)
	local 1_N    : di %7.0fc r(N)

	count if ( HHI_H_35_0>=0.10 & HHI_H_35_0<0.20 & HHI_H_35_0!=. )
	local 1_med  : di %4.3f r(N) / `1_n'

	count if ( HHI_H_35_0>=0.20 & HHI_H_35_0!=. )
	local 1_high : di %4.3f r(N) / `1_n'

	di "`1_mean'"
	di "`1_p10'"	
	di "`1_p25'"
	di "`1_p50'"
	di "`1_p75'"
	di "`1_p90'"	
	di "`1_med'"
	di "`1_high'"
	di "`1_n'"
	di "`1_N'"


	
/*
use "$data\LMC_kldb_35_0_1223.dta", clear

sum HHI_H_35_0 [fweight=L_35_0], detail

	local 2_mean : di %4.3f r(mean)
	local 2_p10  : di %4.3f r(p10)
	local 2_p25  : di %4.3f r(p25)
	local 2_p50  : di %4.3f r(p50)
	local 2_p75  : di %4.3f r(p75)
	local 2_p90  : di %4.3f r(p90)	
	local 2_p75  : di %4.3f r(min)
	local 2_max  : di %4.3f r(max)
	local 2_n    : di r(N)
	local 2_N    : di %11.0fc r(N)

	

	gen HHI_H_35_0_ter = .
	replace HHI_H_35_0_ter = 1 if HHI_H_35_0<0.10
	replace HHI_H_35_0_ter = 2 if HHI_H_35_0>=0.10 & HHI_H_35_0<0.20
	replace HHI_H_35_0_ter = 3 if HHI_H_35_0>=0.20
	replace HHI_H_35_0_ter = . if HHI_H_35_0==.


	tab HHI_H_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 2_med  : di %4.3f freq[2,1] / `2_n'
	local 2_high : di %4.3f freq[3,1] / `2_n'

	drop HHI_H_35_0_ter
	matrix drop freq

	di "`2_mean'"
	di "`2_p10'"	
	di "`2_p25'"
	di "`2_p50'"
	di "`2_p75'"
	di "`2_p90'"	
	di "`2_med'"
	di "`2_high'"
	di "`2_N'"




use "$data\LMC_kldb_35_0_1223.dta", clear

sum HHI_H_35_0 [fweight=N_L_35_0], detail


	local 3_mean : di %4.3f r(mean)
	local 3_p10  : di %4.3f r(p10)
	local 3_p25  : di %4.3f r(p25)
	local 3_p50  : di %4.3f r(p50)
	local 3_p75  : di %4.3f r(p75)
	local 3_p90  : di %4.3f r(p90)	
	local 3_min  : di %4.3f r(min)
	local 3_max  : di %4.3f r(max)
	local 3_n    : di r(N)	
	local 3_N    : di %11.0fc r(N)

	gen HHI_H_35_0_ter = .
	replace HHI_H_35_0_ter = 1 if HHI_H_35_0<0.10
	replace HHI_H_35_0_ter = 2 if HHI_H_35_0>=0.10 & HHI_H_35_0<0.20
	replace HHI_H_35_0_ter = 3 if HHI_H_35_0>=0.20
	replace HHI_H_35_0_ter = . if HHI_H_35_0==.

	tab HHI_H_35_0_ter [fweight=N_L_35_0], matcell(freq)

	matrix list freq
	local 3_med  : di %4.3f freq[2,1] / `3_n'
	local 3_high : di %4.3f freq[3,1] / `3_n'

	drop HHI_H_35_0_ter
	matrix drop freq

	di "`3_mean'"
	di "`3_p10'"	
	di "`3_p25'"
	di "`3_p50'"
	di "`3_p75'"
	di "`3_p90'"	
	di "`3_med'"
	di "`3_high'"
	di "`3_N'"
*/


use "$data\LMC_kldb_15_0_1223.dta", clear


sum HHI_H_15_0, detail 

	local 4_mean : di %4.3f r(mean)
	local 4_p10  : di %4.3f r(p10)
	local 4_p25  : di %4.3f r(p25)
	local 4_p50  : di %4.3f r(p50)
	local 4_p75  : di %4.3f r(p75)
	local 4_p90  : di %4.3f r(p90)	
	local 4_min  : di %4.3f r(min)
	local 4_max  : di %4.3f r(max)
	local 4_n    : di r(N)	
	local 4_N    : di %7.0fc r(N)

	count if ( HHI_H_15_0>=0.10 & HHI_H_15_0<0.20 & HHI_H_15_0!=. )
	local 4_med  : di %4.3f r(N) / `4_n'

	count if ( HHI_H_15_0>=0.20 & HHI_H_15_0!=. )
	local 4_high : di %4.3f r(N) / `4_n'

	di "`4_mean'"
	di "`4_p10'"	
	di "`4_p25'"
	di "`4_p50'"
	di "`4_p75'"
	di "`4_p90'"	
	di "`4_med'"
	di "`4_high'"
	di "`4_N'"

	
	
use "$data\LMC_kldb_25_0_1223.dta", clear


sum HHI_H_25_0, detail 

	local 5_mean : di %4.3f r(mean)
	local 5_p10  : di %4.3f r(p10)
	local 5_p25  : di %4.3f r(p25)
	local 5_p50  : di %4.3f r(p50)
	local 5_p75  : di %4.3f r(p75)
	local 5_p90  : di %4.3f r(p90)	
	local 5_min  : di %4.3f r(min)
	local 5_max  : di %4.3f r(max)
	local 5_n    : di r(N)	
	local 5_N    : di %7.0fc r(N)

	count if ( HHI_H_25_0>=0.10 & HHI_H_25_0<0.20 & HHI_H_25_0!=. )
	local 5_med  : di %4.3f r(N) / `5_n'

	count if ( HHI_H_25_0>=0.20 & HHI_H_25_0!=. )
	local 5_high : di %4.3f r(N) / `5_n'

	di "`5_mean'"
	di "`5_p10'"	
	di "`5_p25'"
	di "`5_p50'"
	di "`5_p75'"
	di "`5_p90'"	
	di "`5_med'"
	di "`5_high'"
	di "`5_N'"	
	
	
	

use "$data\LMC_kldb_45_0_1223.dta", clear


sum HHI_H_45_0, detail 

	local 6_mean : di %4.3f r(mean)
	local 6_p10  : di %4.3f r(p10)
	local 6_p25  : di %4.3f r(p25)
	local 6_p50  : di %4.3f r(p50)
	local 6_p75  : di %4.3f r(p75)
	local 6_p90  : di %4.3f r(p90)	
	local 6_min  : di %4.3f r(min)
	local 6_max  : di %4.3f r(max)
	local 6_n    : di r(N)	
	local 6_N    : di %9.0fc r(N)

	count if ( HHI_H_45_0>=0.10 & HHI_H_45_0<0.20 & HHI_H_45_0!=. )
	local 6_med  : di %4.3f r(N) / `6_n'

	count if ( HHI_H_45_0>=0.20 & HHI_H_45_0!=. )
	local 6_high : di %4.3f r(N) / `6_n'

	di "`6_mean'"
	di "`6_p10'"	
	di "`6_p25'"
	di "`6_p50'"
	di "`6_p75'"
	di "`6_p90'"	
	di "`6_med'"
	di "`6_high'"
	di "`6_N'"	
	
	
	
	
	
	
	
use "$data\LMC_kldb_35_1_1223.dta", clear




sum HHI_H_35_1, detail 

	local 7_mean : di %4.3f r(mean)
	local 7_p10  : di %4.3f r(p10)
	local 7_p25  : di %4.3f r(p25)
	local 7_p50  : di %4.3f r(p50)
	local 7_p75  : di %4.3f r(p75)
	local 7_p90  : di %4.3f r(p90)	
	local 7_min  : di %4.3f r(min)
	local 7_max  : di %4.3f r(max)
	local 7_n    : di r(N)
	local 7_N    : di %7.0fc r(N)

	count if ( HHI_H_35_1>=0.10 & HHI_H_35_1<0.20 & HHI_H_35_1!=. )
	local 7_med  : di %4.3f r(N) / `7_n'

	count if ( HHI_H_35_1>=0.20 & HHI_H_35_1!=. )
	local 7_high : di %4.3f r(N) / `7_n'

	di "`7_mean'"
	di "`7_p10'"	
	di "`7_p25'"
	di "`7_p50'"
	di "`7_p75'"
	di "`7_p90'"	
	di "`7_med'"
	di "`7_high'"
	di "`7_N'"

	
	
use "$data\LMC_kldb_35_2_1223.dta", clear


sum HHI_H_35_2, detail 

	local 8_mean : di %4.3f r(mean)
	local 8_p10  : di %4.3f r(p10)
	local 8_p25  : di %4.3f r(p25)
	local 8_p50  : di %4.3f r(p50)
	local 8_p75  : di %4.3f r(p75)
	local 8_p90  : di %4.3f r(p90)	
	local 8_min  : di %4.3f r(min)
	local 8_max  : di %4.3f r(max)
	local 8_n    : di r(N)
	local 8_N    : di %7.0fc r(N)

	count if ( HHI_H_35_2>=0.10 & HHI_H_35_2<0.20 & HHI_H_35_2!=. )
	local 8_med  : di %4.3f r(N) / `8_n'

	count if ( HHI_H_35_2>=0.20 & HHI_H_35_2!=. )
	local 8_high : di %4.3f r(N) / `8_n'

	di "`8_mean'"
	di "`8_p10'"	
	di "`8_p25'"
	di "`8_p50'"
	di "`8_p75'"
	di "`8_p90'"	
	di "`8_med'"
	di "`8_high'"
	di "`8_N'"
	
	
	
	
	

use "$data\LMC_kldb_35_3_1223.dta", clear


sum HHI_H_35_3, detail 

	local 9_mean : di %4.3f r(mean)
	local 9_p10  : di %4.3f r(p10)
	local 9_p25  : di %4.3f r(p25)
	local 9_p50  : di %4.3f r(p50)
	local 9_p75  : di %4.3f r(p75)
	local 9_p90  : di %4.3f r(p90)	
	local 9_min  : di %4.3f r(min)
	local 9_max  : di %4.3f r(max)
	local 9_n    : di r(N)
	local 9_N    : di %9.0fc r(N)

	count if ( HHI_H_35_3>=0.10 & HHI_H_35_3<0.20 & HHI_H_35_3!=. )
	local 9_med  : di %4.3f r(N) / `9_n'

	count if ( HHI_H_35_3>=0.20 & HHI_H_35_3!=. )
	local 9_high : di %4.3f r(N) / `9_n'

	di "`9_mean'"
	di "`9_p10'"	
	di "`9_p25'"
	di "`9_p50'"
	di "`9_p75'"
	di "`9_p90'"	
	di "`9_med'"
	di "`9_high'"
	di "`9_N'"
	
	
	
	

	

use "$data\LMC_kldb_35_4_1223.dta", clear


sum HHI_H_35_4, detail 

	local 10_mean : di %4.3f r(mean)
	local 10_p10  : di %4.3f r(p10)
	local 10_p25  : di %4.3f r(p25)
	local 10_p50  : di %4.3f r(p50)
	local 10_p75  : di %4.3f r(p75)
	local 10_p90  : di %4.3f r(p90)	
	local 10_min  : di %4.3f r(min)
	local 10_max  : di %4.3f r(max)
	local 10_n    : di r(N)
	local 10_N    : di %9.0fc r(N)

	count if ( HHI_H_35_4>=0.10 & HHI_H_35_4<0.20 & HHI_H_35_4!=. )
	local 10_med  : di %4.3f r(N) / `10_n'

	count if ( HHI_H_35_4>=0.20 & HHI_H_35_4!=. )
	local 10_high : di %4.3f r(N) / `10_n'

	di "`10_mean'"
	di "`10_p10'"	
	di "`10_p25'"
	di "`10_p50'"
	di "`10_p75'"
	di "`10_p90'"	
	di "`10_med'"
	di "`10_high'"
	di "`10_N'"	
	
	
	
	

	


use "$data\LMC_kldb_35_0_1223.dta", clear


sum HHI_L_35_0, detail 

	local 12_mean : di %4.3f r(mean)
	local 12_p10  : di %4.3f r(p10)
	local 12_p25  : di %4.3f r(p25)
	local 12_p50  : di %4.3f r(p50)
	local 12_p75  : di %4.3f r(p75)
	local 12_p90  : di %4.3f r(p90)	
	local 12_min  : di %4.3f r(min)
	local 12_max  : di %4.3f r(max)
	local 12_n    : di r(N)
	local 12_N    : di %7.0fc r(N)

	count if ( HHI_L_35_0>=0.10 & HHI_L_35_0<0.20 & HHI_L_35_0!=. )
	local 12_med  : di %4.3f r(N) / `12_n'

	count if ( HHI_L_35_0>=0.20 & HHI_L_35_0!=. )
	local 12_high : di %4.3f r(N) / `12_n'

	di "`12_mean'"
	di "`12_p10'"	
	di "`12_p25'"
	di "`12_p50'"
	di "`12_p75'"
	di "`12_p90'"	
	di "`12_med'"
	di "`12_high'"
	di "`12_N'"	
		

		
		
		
		
use "$data\LMC_kldb_35_0_1223.dta", clear


sum HHI_W_35_0, detail 

	local 13_mean : di %4.3f r(mean)
	local 13_p10  : di %4.3f r(p10)
	local 13_p25  : di %4.3f r(p25)
	local 13_p50  : di %4.3f r(p50)
	local 13_p75  : di %4.3f r(p75)
	local 13_p90  : di %4.3f r(p90)	
	local 13_min  : di %4.3f r(min)
	local 13_max  : di %4.3f r(max)
	local 13_n    : di r(N)
	local 13_N    : di %7.0fc r(N)

	count if ( HHI_W_35_0>=0.10 & HHI_W_35_0<0.20 & HHI_W_35_0!=. )
	local 13_med  : di %4.3f r(N) / `13_n'

	count if ( HHI_W_35_0>=0.20 & HHI_W_35_0!=. )
	local 13_high : di %4.3f r(N) / `13_n'

	di "`13_mean'"
	di "`13_p10'"	
	di "`13_p25'"
	di "`13_p50'"
	di "`13_p75'"
	di "`13_p90'"	
	di "`13_med'"
	di "`13_high'"
	di "`13_N'"			
		
		
		
		
		

		
use "$data\LMC_kldb_35_0_1223.dta", clear


sum INS_H_35_0, detail 

	local 14_mean : di %4.3f r(mean)
	local 14_p10  : di %4.3f r(p10)
	local 14_p25  : di %4.3f r(p25)
	local 14_p50  : di %4.3f r(p50)
	local 14_p75  : di %4.3f r(p75)
	local 14_p90  : di %4.3f r(p90)	
	local 14_min  : di %4.3f r(min)
	local 14_max  : di %4.3f r(max)
	local 14_n    : di r(N)
	local 14_N    : di %7.0fc r(N)

	count if ( INS_H_35_0>=0.10 & INS_H_35_0<0.20 & INS_H_35_0!=. )
	local 14_med  : di %4.3f r(N) / `14_n'

	count if ( INS_H_35_0>=0.20 & INS_H_35_0!=. )
	local 14_high : di %4.3f r(N) / `14_n'

	di "`14_mean'"
	di "`14_p10'"	
	di "`14_p25'"
	di "`14_p50'"
	di "`14_p75'"
	di "`14_p90'"	
	di "`14_med'"
	di "`14_high'"
	di "`14_N'"			
				
		
	
	
use "$data\LMC_kldb_35_0_1223.dta", clear


sum CR1_H_35_0, detail 

	local 15_mean : di %4.3f r(mean)
	local 15_p10  : di %4.3f r(p10)
	local 15_p25  : di %4.3f r(p25)
	local 15_p50  : di %4.3f r(p50)
	local 15_p75  : di %4.3f r(p75)
	local 15_p90  : di %4.3f r(p90)	
	local 15_min  : di %4.3f r(min)
	local 15_max  : di %4.3f r(max)
	local 15_n    : di r(N)
	local 15_N    : di %7.0fc r(N)

	count if ( CR1_H_35_0>=0.10 & CR1_H_35_0<0.20 & CR1_H_35_0!=. )
	local 15_med  : di %4.3f r(N) / `15_n'

	count if ( CR1_H_35_0>=0.20 & CR1_H_35_0!=. )
	local 15_high : di %4.3f r(N) / `15_n'

	di "`15_mean'"
	di "`15_p10'"	
	di "`15_p25'"
	di "`15_p50'"
	di "`15_p75'"
	di "`15_p90'"	
	di "`15_med'"
	di "`15_high'"	
	di "`15_N'"			
					
	
	
	
	
use "$data\LMC_kldb_35_0_1223.dta", clear


sum CR3_H_35_0, detail 

	local 16_mean : di %4.3f r(mean)
	local 16_p10  : di %4.3f r(p10)
	local 16_p25  : di %4.3f r(p25)
	local 16_p50  : di %4.3f r(p50)
	local 16_p75  : di %4.3f r(p75)
	local 16_p90  : di %4.3f r(p90)	
	local 16_min  : di %4.3f r(min)
	local 16_max  : di %4.3f r(max)
	local 16_n    : di r(N)
	local 16_N    : di %7.0fc r(N)

	count if ( CR3_H_35_0>=0.10 & CR3_H_35_0<0.20 & CR3_H_35_0!=. )
	local 16_med  : di %4.3f r(N) / `16_n'

	count if ( CR3_H_35_0>=0.20 & CR3_H_35_0!=. )
	local 16_high : di %4.3f r(N) / `16_n'

	di "`16_mean'"
	di "`16_p10'"	
	di "`16_p25'"
	di "`16_p50'"
	di "`16_p75'"
	di "`16_p90'"	
	di "`16_med'"
	di "`16_high'"	
	di "`16_N'"			
					
	

use "$data\LMC_kldb_35_0_1223.dta", clear


sum CR5_H_35_0, detail 

	local 17_mean : di %4.3f r(mean)
	local 17_p10  : di %4.3f r(p10)
	local 17_p25  : di %4.3f r(p25)
	local 17_p50  : di %4.3f r(p50)
	local 17_p75  : di %4.3f r(p75)
	local 17_p90  : di %4.3f r(p90)	
	local 17_min  : di %4.3f r(min)
	local 17_max  : di %4.3f r(max)
	local 17_n    : di r(N)
	local 17_N    : di %7.0fc r(N)


	count if ( CR5_H_35_0>=0.10 & CR5_H_35_0<0.20 & CR5_H_35_0!=. )
	local 17_med  : di %4.3f r(N) / `17_n'

	count if ( CR5_H_35_0>=0.20 & CR5_H_35_0!=. )
	local 17_high : di %4.3f r(N) / `17_n'

	di "`17_mean'"
	di "`17_p10'"	
	di "`17_p25'"
	di "`17_p50'"
	di "`17_p75'"
	di "`17_p90'"	
	di "`17_med'"
	di "`17_high'"	
	di "`17_N'"			
						
	



	
	
file open table_3 using "$file\Table 3.tex", write replace
		
	file write table_3 "\begin{landscape}" _n
	file write table_3 "\begin{table}[ht]" _n
	file write table_3 "\centering" _n
	file write table_3 "%\resizebox{\textwidth}{!}{" _n
	file write table_3 "\begin{threeparttable}" _n
	file write table_3 "\caption{Descriptive Statistics for Labor Market Concentration}" _n
	file write table_3 "\label{tab:3}" _n
	file write table_3 "\small" _n	
	file write table_3 "\begin{tabular}{L{7.3cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.5cm}C{1.5cm}C{2.2cm}} \hline" _n
	file write table_3 "\multirow{3.4}{*}{}  & \multirow{3.4}{*}{Mean} & \multirow{3.4}{*}{P10} & \multirow{3.4}{*}{P25} & \multirow{3.4}{*}{P50} &  \multirow{3.4}{*}{P75} &  \multirow{3.4}{*}{P90} &  \multirow{3.4}{*}{\shortstack{Share\vphantom{/} \\ (0.1-0.2)\vphantom{/}}} & \multirow{3.4}{*}{\shortstack{Share\vphantom{/} \\ (0.2-1.0)\vphantom{/} }} & \multirow{3.4}{*}{\shortstack{\!\!Obser- \\ \!\!vations}} \\" _n
	file write table_3 "&   &   &   &   &   &    &   &   & \\" _n
	file write table_3 "&   &   &   &   &   &    &   &   & \\ \hline" _n
	file write table_3 "&   &   &   &   &   &    &   &   & \\[-0.3cm] " _n
	file write table_3 "" _n
	file write table_3 "\textbf{Baseline:}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_3 "" _n
	file write table_3 "\multirow{2.4}{*}{\shortstack[l]{HHI, Hires, Commuting Zone \vphantom{/} \\  3-Digit KldB-10 (Group) $\times$ Level \vphantom{/}}}   & \multirow{2.4}{*}{`1_mean'}   & \multirow{2.4}{*}{`1_p10'} & \multirow{2.4}{*}{`1_p25'}  & \multirow{2.4}{*}{`1_p50'}  & \multirow{2.4}{*}{`1_p75'}  & \multirow{2.4}{*}{`1_p90'} & \multirow{2.4}{*}{`1_med'}  & \multirow{2.4}{*}{`1_high'}  &  \multirow{2.4}{*}{~`1_N'}   \\[0.2cm]  " _n
	file write table_3 "&   &   &   &   &   &    &   &   & \\" _n	
	file write table_3 "\textbf{Alternative Occupational Dimension:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{1-Digit KldB-10 (Area) $\times$ Level}   & \multirow{1}{*}{`4_mean'}   & \multirow{1}{*}{`4_p10'} & \multirow{1}{*}{`4_p25'}  & \multirow{1}{*}{`4_p50'}  & \multirow{1}{*}{`4_p75'}  & \multirow{1}{*}{`4_p90'} & \multirow{1}{*}{`4_med'}  & \multirow{1}{*}{`4_high'}  &  \multirow{1}{*}{`4_N'}    \\ " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{2-Digit KldB-10 (Main Group) $\times$ Level}  & \multirow{1}{*}{`5_mean'}   & \multirow{1}{*}{`5_p10'} & \multirow{1}{*}{`5_p25'}  & \multirow{1}{*}{`5_p50'}  & \multirow{1}{*}{`5_p75'}  & \multirow{1}{*}{`5_p90'} & \multirow{1}{*}{`5_med'}  & \multirow{1}{*}{`5_high'}  &  \multirow{1}{*}{`5_N'}    \\  " _n 
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{4-Digit KldB-10 (Sub-Group) $\times$ Level}  & \multirow{1}{*}{`6_mean'}   & \multirow{1}{*}{`6_p10'} & \multirow{1}{*}{`6_p25'}  & \multirow{1}{*}{`6_p50'}  & \multirow{1}{*}{`6_p75'}  & \multirow{1}{*}{`6_p90'} & \multirow{1}{*}{`6_med'}  & \multirow{1}{*}{`6_high'}  &  \multirow{1}{*}{~`6_N'}    \\[0.2cm]  " _n 
	file write table_3 "" _n	
	file write table_3 "\textbf{Alternative Spatial Dimension:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_3 "" _n	
	file write table_3 "\multirow{1}{*}{NUTS-1 (Federal State)}  & \multirow{1}{*}{`7_mean'}   & \multirow{1}{*}{`7_p10'} & \multirow{1}{*}{`7_p25'}  & \multirow{1}{*}{`7_p50'}  & \multirow{1}{*}{`7_p75'}  & \multirow{1}{*}{`7_p90'} & \multirow{1}{*}{`7_med'}  & \multirow{1}{*}{`7_high'}  &  \multirow{1}{*}{`7_N'}    \\  " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{NUTS-2 (Government Region)}  & \multirow{1}{*}{`8_mean'}   & \multirow{1}{*}{`8_p10'} & \multirow{1}{*}{`8_p25'}  & \multirow{1}{*}{`8_p50'}  & \multirow{1}{*}{`8_p75'}  & \multirow{1}{*}{`8_p90'} & \multirow{1}{*}{`8_med'}  & \multirow{1}{*}{`8_high'}  &  \multirow{1}{*}{`8_N'}    \\  " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{NUTS-3 (District)}  & \multirow{1}{*}{`9_mean'}   & \multirow{1}{*}{`9_p10'} & \multirow{1}{*}{`9_p25'}  & \multirow{1}{*}{`9_p50'}  & \multirow{1}{*}{`9_p75'}  & \multirow{1}{*}{`9_p90'} & \multirow{1}{*}{`9_med'}  & \multirow{1}{*}{`9_high'}  &  \multirow{1}{*}{`9_N'}    \\  " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{LAU (Municipality)}  & \multirow{1}{*}{`10_mean'}   & \multirow{1}{*}{`10_p10'} & \multirow{1}{*}{`10_p25'}  & \multirow{1}{*}{`10_p50'}  & \multirow{1}{*}{`10_p75'}  & \multirow{1}{*}{`10_p90'} & \multirow{1}{*}{`10_med'}  & \multirow{1}{*}{`10_high'}  &  \multirow{1}{*}{~`10_N'}    \\[0.2cm]  " _n
	file write table_3 "" _n	
	file write table_3 "\textbf{Alternative Measure of Firm Size:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{Employment}  & \multirow{1}{*}{`12_mean'}   & \multirow{1}{*}{`12_p10'} & \multirow{1}{*}{`12_p25'}  & \multirow{1}{*}{`12_p50'}  & \multirow{1}{*}{`12_p75'}  & \multirow{1}{*}{`12_p90'} & \multirow{1}{*}{`12_med'}  & \multirow{1}{*}{`12_high'}  &  \multirow{1}{*}{`12_N'}    \\  " _n
	file write table_3 "" _n	
	file write table_3 "\multirow{1}{*}{Wage Bill}  & \multirow{1}{*}{`13_mean'}   & \multirow{1}{*}{`13_p10'} & \multirow{1}{*}{`13_p25'}  & \multirow{1}{*}{`13_p50'}  & \multirow{1}{*}{`13_p75'}  & \multirow{1}{*}{`13_p90'} & \multirow{1}{*}{`13_med'}  & \multirow{1}{*}{`13_high'}  &  \multirow{1}{*}{~`13_N'}    \\[0.2cm]  " _n
	file write table_3 "" _n	
	file write table_3 "\textbf{Alternative Concentration Index:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{Inverse Number of Firms}  & \multirow{1}{*}{`14_mean'}   & \multirow{1}{*}{`14_p10'} & \multirow{1}{*}{`14_p25'}  & \multirow{1}{*}{`14_p50'}  & \multirow{1}{*}{`14_p75'}  & \multirow{1}{*}{`14_p90'} & \multirow{1}{*}{`14_med'}  & \multirow{1}{*}{`14_high'}  &  \multirow{1}{*}{`14_N'}   \\ " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{1-Firm Concentration Ratio}   & \multirow{1}{*}{`15_mean'}   & \multirow{1}{*}{`15_p10'} & \multirow{1}{*}{`15_p25'}  & \multirow{1}{*}{`15_p50'}  & \multirow{1}{*}{`15_p75'} & \multirow{1}{*}{`15_p90'} & \multirow{1}{*}{`15_med'}  & \multirow{1}{*}{`15_high'}  &  \multirow{1}{*}{`15_N'}    \\ " _n
	file write table_3 "" _n	
	file write table_3 "\multirow{1}{*}{3-Firm Concentration Ratio}   & \multirow{1}{*}{`16_mean'}   & \multirow{1}{*}{`16_p10'} & \multirow{1}{*}{`16_p25'}  & \multirow{1}{*}{`16_p50'}  & \multirow{1}{*}{`16_p75'} & \multirow{1}{*}{`16_p90'} & \multirow{1}{*}{`16_med'}  & \multirow{1}{*}{`16_high'}  &  \multirow{1}{*}{`16_N'}    \\ " _n
	file write table_3 "" _n
	file write table_3 "\multirow{1}{*}{5-Firm Concentration Ratio}   & \multirow{1}{*}{`17_mean'}   & \multirow{1}{*}{`17_p10'} & \multirow{1}{*}{`17_p25'}  & \multirow{1}{*}{`17_p50'}  & \multirow{1}{*}{`17_p75'} & \multirow{1}{*}{`17_p90'} & \multirow{1}{*}{`17_med'}  & \multirow{1}{*}{`17_high'}  &  \multirow{1}{*}{`17_N'}    \\ \hline " _n
	file write table_3 "" _n	
	file write table_3 "\end{tabular} " _n
	file write table_3 "\begin{tablenotes}[para] " _n
	file write table_3 "\footnotesize\textsc{Note. ---} The table displays descriptive statistics for labor market concentration in Germany. Labor markets refer to pair-wise combinations of occupations and commuting zones, and are tracked with annual frequency. The baseline concentration refers to the market-level Herfindahl-Hirschman Index for hiring shares in yearly combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}. The requirement level differentiates between jobs for helpers, professionals, specialists, and experts. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. LAU = Local Administrative Units. NUTS = Statistical Nomenclature of Territorial Units. PX = Xth Percentile. Source: BEH, 2012-2023." _n
	file write table_3 "\end{tablenotes} " _n
	file write table_3 "\end{threeparttable} " _n
	file write table_3 "%} " _n
	file write table_3 "\end{table} " _n
	file write table_3 "\end{landscape}	 " _n
	
file close table_3	
	
	
	















	
	
	
	


*Table B99



use "$data\LMC_kldb_35_0_1223.dta", clear

sum HHI_H_35_0 [fweight=L_35_0], detail

	local 1_mean : di %4.3f r(mean)
	local 1_p10  : di %4.3f r(p10)
	local 1_p25  : di %4.3f r(p25)
	local 1_p50  : di %4.3f r(p50)
	local 1_p75  : di %4.3f r(p75)
	local 1_p90  : di %4.3f r(p90)
	local 1_n    : di r(N)
	local 1_N    : di %11.0fc r(N)

	

	gen HHI_H_35_0_ter = .
	replace HHI_H_35_0_ter = 1 if HHI_H_35_0<0.10
	replace HHI_H_35_0_ter = 2 if HHI_H_35_0>=0.10 & HHI_H_35_0<0.20
	replace HHI_H_35_0_ter = 3 if HHI_H_35_0>=0.20
	replace HHI_H_35_0_ter = . if HHI_H_35_0==.


	tab HHI_H_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 1_med  : di %4.3f freq[2,1] / `1_n'
	local 1_high : di %4.3f freq[3,1] / `1_n'

	drop HHI_H_35_0_ter
	matrix drop freq

	di "`1_mean'"
	di "`1_p10'"
	di "`1_p25'"
	di "`1_p50'"
	di "`1_p75'"
	di "`1_p90'"
	di "`1_med'"
	di "`1_high'"
	di "`1_N'"






sum HHI_H_35_0, detail 

	local 2_mean : di %4.3f r(mean)
	local 2_p10  : di %4.3f r(p10)
	local 2_p25  : di %4.3f r(p25)
	local 2_p50  : di %4.3f r(p50)
	local 2_p75  : di %4.3f r(p75)
	local 2_p90  : di %4.3f r(p90)
	local 2_n    : di r(N)
	local 2_N    : di %7.0fc r(N)

	count if ( HHI_H_35_0>=0.10 & HHI_H_35_0<0.20 & HHI_H_35_0!=. )
	local 2_med  : di %4.3f r(N) / `2_n'

	count if ( HHI_H_35_0>=0.20 & HHI_H_35_0!=. )
	local 2_high : di %4.3f r(N) / `2_n'

	di "`2_mean'"
	di "`2_p10'"
	di "`2_p25'"
	di "`2_p50'"
	di "`2_p75'"
	di "`2_p90'"
	di "`2_med'"
	di "`2_high'"
	di "`2_N'"

	
	

/*
use "$data\LMC_kldb_35_0_1223.dta", clear

sum HHI_H_35_0 [fweight=N_L_35_0], detail


	local 3_mean : di %4.3f r(mean)
	local 3_p10  : di %4.3f r(p10)
	local 3_p25  : di %4.3f r(p25)
	local 3_p50  : di %4.3f r(p50)
	local 3_p75  : di %4.3f r(p75)
	local 3_p90  : di %4.3f r(p90)
	local 3_n    : di r(N)	
	local 3_N    : di %11.0fc r(N)

	gen HHI_H_35_0_ter = .
	replace HHI_H_35_0_ter = 1 if HHI_H_35_0<0.10
	replace HHI_H_35_0_ter = 2 if HHI_H_35_0>=0.10 & HHI_H_35_0<0.20
	replace HHI_H_35_0_ter = 3 if HHI_H_35_0>=0.20
	replace HHI_H_35_0_ter = . if HHI_H_35_0==.

	tab HHI_H_35_0_ter [fweight=N_L_35_0], matcell(freq)

	matrix list freq
	local 3_med  : di %4.3f freq[2,1] / `3_n'
	local 3_high : di %4.3f freq[3,1] / `3_n'

	drop HHI_H_35_0_ter
	matrix drop freq

	di "`3_mean'"
	di "`3_p10'"
	di "`3_p25'"
	di "`3_p50'"
	di "`3_p75'"
	di "`3_p90'"
	di "`3_med'"
	di "`3_high'"
	di "`3_N'"
*/


use "$data\LMC_kldb_15_0_1223.dta", clear


sum HHI_H_15_0 [fweight=L_15_0], detail 

	local 4_mean : di %4.3f r(mean)
	local 4_p10  : di %4.3f r(p10)
	local 4_p25  : di %4.3f r(p25)
	local 4_p50  : di %4.3f r(p50)
	local 4_p75  : di %4.3f r(p75)
	local 4_p90  : di %4.3f r(p90)
	local 4_n    : di r(N)	
	local 4_N    : di %11.0fc r(N)

	gen HHI_H_15_0_ter = .
	replace HHI_H_15_0_ter = 1 if HHI_H_15_0<0.10
	replace HHI_H_15_0_ter = 2 if HHI_H_15_0>=0.10 & HHI_H_15_0<0.20
	replace HHI_H_15_0_ter = 3 if HHI_H_15_0>=0.20
	replace HHI_H_15_0_ter = . if HHI_H_15_0==.


	tab HHI_H_15_0_ter [fweight=L_15_0], matcell(freq)

	matrix list freq
	local 4_med  : di %4.3f freq[2,1] / `4_n'
	local 4_high : di %4.3f freq[3,1] / `4_n'

	drop HHI_H_15_0_ter
	matrix drop freq

	di "`4_mean'"
	di "`4_p10'"
	di "`4_p25'"
	di "`4_p50'"
	di "`4_p75'"
	di "`4_p90'"
	di "`4_med'"
	di "`4_high'"
	di "`4_N'"

	
	
use "$data\LMC_kldb_25_0_1223.dta", clear


sum HHI_H_25_0 [fweight=L_25_0], detail 

	local 5_mean : di %4.3f r(mean)
	local 5_p10  : di %4.3f r(p10)
	local 5_p25  : di %4.3f r(p25)
	local 5_p50  : di %4.3f r(p50)
	local 5_p75  : di %4.3f r(p75)
	local 5_p90  : di %4.3f r(p90)
	local 5_n    : di r(N)	
	local 5_N    : di %11.0fc r(N)

	gen HHI_H_25_0_ter = .
	replace HHI_H_25_0_ter = 1 if HHI_H_25_0<0.10
	replace HHI_H_25_0_ter = 2 if HHI_H_25_0>=0.10 & HHI_H_25_0<0.20
	replace HHI_H_25_0_ter = 3 if HHI_H_25_0>=0.20
	replace HHI_H_25_0_ter = . if HHI_H_25_0==.


	tab HHI_H_25_0_ter [fweight=L_25_0], matcell(freq)

	matrix list freq
	local 5_med  : di %4.3f freq[2,1] / `5_n'
	local 5_high : di %4.3f freq[3,1] / `5_n'

	drop HHI_H_25_0_ter
	matrix drop freq

	di "`5_mean'"
	di "`5_p10'"
	di "`5_p25'"
	di "`5_p50'"
	di "`5_p75'"
	di "`5_p90'"
	di "`5_med'"
	di "`5_high'"
	di "`5_N'"
	
	
	

use "$data\LMC_kldb_45_0_1223.dta", clear


sum HHI_H_45_0 [fweight=L_45_0], detail 

	local 6_mean : di %4.3f r(mean)
	local 6_p10  : di %4.3f r(p10)
	local 6_p25  : di %4.3f r(p25)
	local 6_p50  : di %4.3f r(p50)
	local 6_p75  : di %4.3f r(p75)
	local 6_p90  : di %4.3f r(p90)
	local 6_n    : di r(N)	
	local 6_N    : di %11.0fc r(N)

	gen HHI_H_45_0_ter = .
	replace HHI_H_45_0_ter = 1 if HHI_H_45_0<0.10
	replace HHI_H_45_0_ter = 2 if HHI_H_45_0>=0.10 & HHI_H_45_0<0.20
	replace HHI_H_45_0_ter = 3 if HHI_H_45_0>=0.20
	replace HHI_H_45_0_ter = . if HHI_H_45_0==.


	tab HHI_H_45_0_ter [fweight=L_45_0], matcell(freq)

	matrix list freq
	local 6_med  : di %4.3f freq[2,1] / `6_n'
	local 6_high : di %4.3f freq[3,1] / `6_n'

	drop HHI_H_45_0_ter
	matrix drop freq
	
	di "`6_mean'"
	di "`6_p10'"
	di "`6_p25'"
	di "`6_p50'"
	di "`6_p75'"
	di "`6_p90'"
	di "`6_med'"
	di "`6_high'"
	di "`6_N'"	
	
	
	
	
	
	
	
use "$data\LMC_kldb_35_1_1223.dta", clear




sum HHI_H_35_1 [fweight=L_35_1], detail 

	local 7_mean : di %4.3f r(mean)
	local 7_p10  : di %4.3f r(p10)
	local 7_p25  : di %4.3f r(p25)
	local 7_p50  : di %4.3f r(p50)
	local 7_p75  : di %4.3f r(p75)
	local 7_p90  : di %4.3f r(p90)
	local 7_n    : di r(N)
	local 7_N    : di %11.0fc r(N)

	gen HHI_H_35_1_ter = .
	replace HHI_H_35_1_ter = 1 if HHI_H_35_1<0.10
	replace HHI_H_35_1_ter = 2 if HHI_H_35_1>=0.10 & HHI_H_35_1<0.20
	replace HHI_H_35_1_ter = 3 if HHI_H_35_1>=0.20
	replace HHI_H_35_1_ter = . if HHI_H_35_1==.


	tab HHI_H_35_1_ter [fweight=L_35_1], matcell(freq)

	matrix list freq
	local 7_med  : di %4.3f freq[2,1] / `7_n'
	local 7_high : di %4.3f freq[3,1] / `7_n'

	drop HHI_H_35_1_ter
	matrix drop freq

	di "`7_mean'"
	di "`7_p10'"
	di "`7_p25'"
	di "`7_p50'"
	di "`7_p75'"
	di "`7_p90'"
	di "`7_med'"
	di "`7_high'"
	di "`7_N'"

	
	
use "$data\LMC_kldb_35_2_1223.dta", clear


sum HHI_H_35_2 [fweight=L_35_2], detail 

	local 8_mean : di %4.3f r(mean)
	local 8_p10  : di %4.3f r(p10)
	local 8_p25  : di %4.3f r(p25)
	local 8_p50  : di %4.3f r(p50)
	local 8_p75  : di %4.3f r(p75)
	local 8_p90  : di %4.3f r(p90)
	local 8_n    : di r(N)
	local 8_N    : di %11.0fc r(N)

	gen HHI_H_35_2_ter = .
	replace HHI_H_35_2_ter = 1 if HHI_H_35_2<0.10
	replace HHI_H_35_2_ter = 2 if HHI_H_35_2>=0.10 & HHI_H_35_2<0.20
	replace HHI_H_35_2_ter = 3 if HHI_H_35_2>=0.20
	replace HHI_H_35_2_ter = . if HHI_H_35_2==.


	tab HHI_H_35_2_ter [fweight=L_35_2], matcell(freq)

	matrix list freq
	local 8_med  : di %4.3f freq[2,1] / `8_n'
	local 8_high : di %4.3f freq[3,1] / `8_n'

	drop HHI_H_35_2_ter
	matrix drop freq

	di "`8_mean'"
	di "`8_p10'"
	di "`8_p25'"
	di "`8_p50'"
	di "`8_p75'"
	di "`8_p90'"
	di "`8_med'"
	di "`8_high'"
	di "`8_N'"
	
	
	
	
	

use "$data\LMC_kldb_35_3_1223.dta", clear


sum HHI_H_35_3 [fweight=L_35_3], detail 

	local 9_mean : di %4.3f r(mean)
	local 9_p10  : di %4.3f r(p10)
	local 9_p25  : di %4.3f r(p25)
	local 9_p50  : di %4.3f r(p50)
	local 9_p75  : di %4.3f r(p75)
	local 9_p90  : di %4.3f r(p90)
	local 9_n    : di r(N)
	local 9_N    : di %11.0fc r(N)

	gen HHI_H_35_3_ter = .
	replace HHI_H_35_3_ter = 1 if HHI_H_35_3<0.10
	replace HHI_H_35_3_ter = 2 if HHI_H_35_3>=0.10 & HHI_H_35_3<0.20
	replace HHI_H_35_3_ter = 3 if HHI_H_35_3>=0.20
	replace HHI_H_35_3_ter = . if HHI_H_35_3==.


	tab HHI_H_35_3_ter [fweight=L_35_3], matcell(freq)

	matrix list freq
	local 9_med  : di %4.3f freq[2,1] / `9_n'
	local 9_high : di %4.3f freq[3,1] / `9_n'

	drop HHI_H_35_3_ter
	matrix drop freq

	di "`9_mean'"
	di "`9_p10'"
	di "`9_p25'"
	di "`9_p50'"
	di "`9_p75'"
	di "`9_p90'"
	di "`9_med'"
	di "`9_high'"
	di "`9_N'"
	
	
	
	

	

use "$data\LMC_kldb_35_4_1223.dta", clear


sum HHI_H_35_4 [fweight=L_35_4], detail 

	local 10_mean : di %4.3f r(mean)
	local 10_p10  : di %4.3f r(p10)
	local 10_p25  : di %4.3f r(p25)
	local 10_p50  : di %4.3f r(p50)
	local 10_p75  : di %4.3f r(p75)
	local 10_p90  : di %4.3f r(p90)
	local 10_n    : di r(N)
	local 10_N    : di %11.0fc r(N)

	gen HHI_H_35_4_ter = .
	replace HHI_H_35_4_ter = 1 if HHI_H_35_4<0.10
	replace HHI_H_35_4_ter = 2 if HHI_H_35_4>=0.10 & HHI_H_35_4<0.20
	replace HHI_H_35_4_ter = 3 if HHI_H_35_4>=0.20
	replace HHI_H_35_4_ter = . if HHI_H_35_4==.


	tab HHI_H_35_4_ter [fweight=L_35_4], matcell(freq)

	matrix list freq
	local 10_med  : di %4.3f freq[2,1] / `10_n'
	local 10_high : di %4.3f freq[3,1] / `10_n'

	drop HHI_H_35_4_ter
	matrix drop freq

	di "`10_mean'"
	di "`10_p10'"
	di "`10_p25'"
	di "`10_p50'"
	di "`10_p75'"
	di "`10_p90'"
	di "`10_med'"
	di "`10_high'"
	di "`10_N'"	
	
	
	


use "$data\LMC_kldb_35_0_1223.dta", clear


sum HHI_L_35_0 [fweight=L_35_0], detail 

	local 12_mean : di %4.3f r(mean)
	local 12_p10  : di %4.3f r(p10)
	local 12_p25  : di %4.3f r(p25)
	local 12_p50  : di %4.3f r(p50)
	local 12_p75  : di %4.3f r(p75)
	local 12_p90  : di %4.3f r(p90)
	local 12_n    : di r(N)
	local 12_N    : di %11.0fc r(N)

	gen HHI_L_35_0_ter = .
	replace HHI_L_35_0_ter = 1 if HHI_L_35_0<0.10
	replace HHI_L_35_0_ter = 2 if HHI_L_35_0>=0.10 & HHI_L_35_0<0.20
	replace HHI_L_35_0_ter = 3 if HHI_L_35_0>=0.20
	replace HHI_L_35_0_ter = . if HHI_L_35_0==.


	tab HHI_L_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 12_med  : di %4.3f freq[2,1] / `12_n'
	local 12_high : di %4.3f freq[3,1] / `12_n'

	drop HHI_L_35_0_ter
	matrix drop freq

	di "`12_mean'"
	di "`12_p10'"
	di "`12_p25'"
	di "`12_p50'"
	di "`12_p75'"
	di "`12_p90'"
	di "`12_med'"
	di "`12_high'"
	di "`12_N'"	
		

		
		
		
		
use "$data\LMC_kldb_35_0_1223.dta", clear


sum HHI_W_35_0 [fweight=L_35_0], detail 

	local 13_mean : di %4.3f r(mean)
	local 13_p10  : di %4.3f r(p10)
	local 13_p25  : di %4.3f r(p25)
	local 13_p50  : di %4.3f r(p50)
	local 13_p75  : di %4.3f r(p75)
	local 13_p90  : di %4.3f r(p90)
	local 13_n    : di r(N)
	local 13_N    : di %11.0fc r(N)

	gen HHI_W_35_0_ter = .
	replace HHI_W_35_0_ter = 1 if HHI_W_35_0<0.10
	replace HHI_W_35_0_ter = 2 if HHI_W_35_0>=0.10 & HHI_W_35_0<0.20
	replace HHI_W_35_0_ter = 3 if HHI_W_35_0>=0.20
	replace HHI_W_35_0_ter = . if HHI_W_35_0==.


	tab HHI_W_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 13_med  : di %4.3f freq[2,1] / `13_n'
	local 13_high : di %4.3f freq[3,1] / `13_n'

	drop HHI_W_35_0_ter
	matrix drop freq
	
	di "`13_mean'"
	di "`13_p10'"
	di "`13_p25'"
	di "`13_p50'"
	di "`13_p75'"
	di "`13_p90'"
	di "`13_med'"
	di "`13_high'"
	di "`13_N'"			
		
		
		
		
		

		
use "$data\LMC_kldb_35_0_1223.dta", clear


sum INS_H_35_0 [fweight=L_35_0], detail 

	local 14_mean : di %4.3f r(mean)
	local 14_p10  : di %4.3f r(p10)
	local 14_p25  : di %4.3f r(p25)
	local 14_p50  : di %4.3f r(p50)
	local 14_p75  : di %4.3f r(p75)
	local 14_p90  : di %4.3f r(p90)
	local 14_n    : di r(N)
	local 14_N    : di %11.0fc r(N)

	gen INS_H_35_0_ter = .
	replace INS_H_35_0_ter = 1 if INS_H_35_0<0.10
	replace INS_H_35_0_ter = 2 if INS_H_35_0>=0.10 & INS_H_35_0<0.20
	replace INS_H_35_0_ter = 3 if INS_H_35_0>=0.20
	replace INS_H_35_0_ter = . if INS_H_35_0==.


	tab INS_H_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 14_med  : di %4.3f freq[2,1] / `14_n'
	local 14_high : di %4.3f freq[3,1] / `14_n'

	drop INS_H_35_0_ter
	matrix drop freq
	
	di "`14_mean'"
	di "`14_p10'"
	di "`14_p25'"
	di "`14_p50'"
	di "`14_p75'"
	di "`14_p90'"
	di "`14_med'"
	di "`14_high'"
	di "`14_N'"		
				
		
	
	
use "$data\LMC_kldb_35_0_1223.dta", clear


sum CR1_H_35_0 [fweight=L_35_0], detail 

	local 15_mean : di %4.3f r(mean)
	local 15_p10  : di %4.3f r(p10)
	local 15_p25  : di %4.3f r(p25)
	local 15_p50  : di %4.3f r(p50)
	local 15_p75  : di %4.3f r(p75)
	local 15_p90  : di %4.3f r(p90)
	local 15_n    : di r(N)
	local 15_N    : di %11.0fc r(N)

	gen CR1_H_35_0_ter = .
	replace CR1_H_35_0_ter = 1 if CR1_H_35_0<0.10
	replace CR1_H_35_0_ter = 2 if CR1_H_35_0>=0.10 & CR1_H_35_0<0.20
	replace CR1_H_35_0_ter = 3 if CR1_H_35_0>=0.20
	replace CR1_H_35_0_ter = . if CR1_H_35_0==.


	tab CR1_H_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 15_med  : di %4.3f freq[2,1] / `15_n'
	local 15_high : di %4.3f freq[3,1] / `15_n'

	drop CR1_H_35_0_ter
	matrix drop freq

	di "`15_mean'"
	di "`15_p10'"
	di "`15_p25'"
	di "`15_p50'"
	di "`15_p75'"
	di "`15_p90'"
	di "`15_med'"
	di "`15_high'"	
	di "`15_N'"		
					
	
	
	
	
use "$data\LMC_kldb_35_0_1223.dta", clear


sum CR3_H_35_0 [fweight=L_35_0], detail 

	local 16_mean : di %4.3f r(mean)
	local 16_p10  : di %4.3f r(p10)
	local 16_p25  : di %4.3f r(p25)
	local 16_p50  : di %4.3f r(p50)
	local 16_p75  : di %4.3f r(p75)
	local 16_p90  : di %4.3f r(p90)
	local 16_n    : di r(N)
	local 16_N    : di %11.0fc r(N)

	gen CR3_H_35_0_ter = .
	replace CR3_H_35_0_ter = 1 if CR3_H_35_0<0.10
	replace CR3_H_35_0_ter = 2 if CR3_H_35_0>=0.10 & CR3_H_35_0<0.20
	replace CR3_H_35_0_ter = 3 if CR3_H_35_0>=0.20
	replace CR3_H_35_0_ter = . if CR3_H_35_0==.


	tab CR3_H_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 16_med  : di %4.3f freq[2,1] / `16_n'
	local 16_high : di %4.3f freq[3,1] / `16_n'

	drop CR3_H_35_0_ter
	matrix drop freq

	di "`16_mean'"
	di "`16_p10'"
	di "`16_p25'"
	di "`16_p50'"
	di "`16_p75'"
	di "`16_p90'"
	di "`16_med'"
	di "`16_high'"	
	di "`16_N'"			
					
	

	
	

	
use "$data\LMC_kldb_35_0_1223.dta", clear


sum CR5_H_35_0 [fweight=L_35_0], detail 

	local 17_mean : di %4.3f r(mean)
	local 17_p10  : di %4.3f r(p10)
	local 17_p25  : di %4.3f r(p25)
	local 17_p50  : di %4.3f r(p50)
	local 17_p75  : di %4.3f r(p75)
	local 17_p90  : di %4.3f r(p90)
	local 17_n    : di r(N)
	local 17_N    : di %11.0fc r(N)

	gen CR5_H_35_0_ter = .
	replace CR5_H_35_0_ter = 1 if CR5_H_35_0<0.10
	replace CR5_H_35_0_ter = 2 if CR5_H_35_0>=0.10 & CR5_H_35_0<0.20
	replace CR5_H_35_0_ter = 3 if CR5_H_35_0>=0.20
	replace CR5_H_35_0_ter = . if CR5_H_35_0==.


	tab CR5_H_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 17_med  : di %4.3f freq[2,1] / `17_n'
	local 17_high : di %4.3f freq[3,1] / `17_n'

	drop CR5_H_35_0_ter
	matrix drop freq

	di "`17_mean'"
	di "`17_p10'"
	di "`17_p25'"
	di "`17_p50'"
	di "`17_p75'"
	di "`17_p90'"
	di "`17_med'"
	di "`17_high'"	
	di "`17_N'"			
					
	


	
	
file open table_b99 using "$file\Table B99.tex", write replace
		
	file write table_b99 "\begin{landscape}" _n
	file write table_b99 "\begin{table}[ht]" _n
	file write table_b99 "\centering" _n
	file write table_b99 "%\resizebox{\textwidth}{!}{" _n
	file write table_b99 "\begin{threeparttable}" _n
	file write table_b99 "\caption{Descriptive Statistics for Labor Market Concentration (Worker-Weighted)}" _n
	file write table_b99 "\label{tab:B99}" _n
	file write table_b99 "\small" _n	
	file write table_b99 "\begin{tabular}{L{7.3cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.5cm}C{1.5cm}C{2.2cm}} \hline" _n
	file write table_b99 "\multirow{3.4}{*}{}  & \multirow{3.4}{*}{Mean} & \multirow{3.4}{*}{P10} & \multirow{3.4}{*}{P25} & \multirow{3.4}{*}{P50} &  \multirow{3.4}{*}{P75} &  \multirow{3.4}{*}{P90} &  \multirow{3.4}{*}{\shortstack{Share\vphantom{/} \\ (0.1-0.2)\vphantom{/}}} & \multirow{3.4}{*}{\shortstack{Share\vphantom{/} \\ (0.2-1.0)\vphantom{/} }} & \multirow{3.4}{*}{\shortstack{\!\!Obser- \\ \!\!vations}} \\" _n
	file write table_b99 "&   &   &   &   &   &    &   &   & \\" _n
	file write table_b99 "&   &   &   &   &   &    &   &   & \\ \hline" _n
	file write table_b99 "&   &   &   &   &   &    &   &   & \\[-0.3cm] " _n
	file write table_b99 "" _n
	file write table_b99 "\textbf{Baseline (Worker-Weighted):}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{3.4}{*}{\shortstack[l]{HHI, Hires \vphantom{/} \\ 3-Digit KldB-10 (Group) $\times$ Level \vphantom{/} \\ Commuting Zone \vphantom{/}}}   & \multirow{3.4}{*}{`1_mean'}   & \multirow{3.4}{*}{`1_p10'} & \multirow{3.4}{*}{`1_p25'}  & \multirow{3.4}{*}{`1_p50'}  & \multirow{3.4}{*}{`1_p75'}  & \multirow{3.4}{*}{`1_p90'} & \multirow{3.4}{*}{`1_med'}  & \multirow{3.4}{*}{`1_high'}  &  \multirow{3.4}{*}{~`1_N'}   \\[0.2cm]  " _n
	file write table_b99 "&   &   &   &   &   &    &   &   & \\" _n
	file write table_b99 "&   &   &   &   &   &    &   &   & \\" _n		
	file write table_b99 "%\textbf{Without Weights:}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_b99 "%" _n
	file write table_b99 "%\multirow{1}{*}{Unweighted}   & \multirow{1}{*}{`2_mean'}   & \multirow{1}{*}{`2_p10'} & \multirow{1}{*}{`2_p25'}  & \multirow{1}{*}{`2_p50'}  & \multirow{1}{*}{`2_p75'}  & \multirow{1}{*}{`2_p90'} & \multirow{1}{*}{`2_med'}  & \multirow{1}{*}{`2_high'}  &  \multirow{1}{*}{~`2_N'}    \\[0.2cm] " _n
	file write table_b99 "%" _n
	file write table_b99 "\textbf{Alternative Occupational Dimension:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{1-Digit KldB-10 (Area) $\times$ Level}   & \multirow{1}{*}{`4_mean'}   & \multirow{1}{*}{`4_p10'} & \multirow{1}{*}{`4_p25'}  & \multirow{1}{*}{`4_p50'}  & \multirow{1}{*}{`4_p75'}  & \multirow{1}{*}{`4_p90'} & \multirow{1}{*}{`4_med'}  & \multirow{1}{*}{`4_high'}  &  \multirow{1}{*}{`4_N'}    \\ " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{2-Digit KldB-10 (Main Group) $\times$ Level}  & \multirow{1}{*}{`5_mean'}   & \multirow{1}{*}{`5_p10'} & \multirow{1}{*}{`5_p25'}  & \multirow{1}{*}{`5_p50'}  & \multirow{1}{*}{`5_p75'}  & \multirow{1}{*}{`5_p90'} & \multirow{1}{*}{`5_med'}  & \multirow{1}{*}{`5_high'}  &  \multirow{1}{*}{`5_N'}    \\  " _n 
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{4-Digit KldB-10 (Sub-Group) $\times$ Level}  & \multirow{1}{*}{`6_mean'}   & \multirow{1}{*}{`6_p10'} & \multirow{1}{*}{`6_p25'}  & \multirow{1}{*}{`6_p50'}  & \multirow{1}{*}{`6_p75'}  & \multirow{1}{*}{`6_p90'} & \multirow{1}{*}{`6_med'}  & \multirow{1}{*}{`6_high'}  &  \multirow{1}{*}{~`6_N'}    \\[0.2cm]  " _n 
	file write table_b99 "" _n	
	file write table_b99 "\textbf{Alternative Spatial Dimension:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_b99 "" _n	
	file write table_b99 "\multirow{1}{*}{NUTS-1 (Federal State)}  & \multirow{1}{*}{`7_mean'}   & \multirow{1}{*}{`7_p10'} & \multirow{1}{*}{`7_p25'}  & \multirow{1}{*}{`7_p50'}  & \multirow{1}{*}{`7_p75'}  & \multirow{1}{*}{`7_p90'} & \multirow{1}{*}{`7_med'}  & \multirow{1}{*}{`7_high'}  &  \multirow{1}{*}{`7_N'}    \\  " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{NUTS-2 (Government Region)}  & \multirow{1}{*}{`8_mean'}   & \multirow{1}{*}{`8_p10'} & \multirow{1}{*}{`8_p25'}  & \multirow{1}{*}{`8_p50'}  & \multirow{1}{*}{`8_p75'}  & \multirow{1}{*}{`8_p90'} & \multirow{1}{*}{`8_med'}  & \multirow{1}{*}{`8_high'}  &  \multirow{1}{*}{`8_N'}    \\  " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{NUTS-3 (District)}  & \multirow{1}{*}{`9_mean'}   & \multirow{1}{*}{`9_p10'} & \multirow{1}{*}{`9_p25'}  & \multirow{1}{*}{`9_p50'}  & \multirow{1}{*}{`9_p75'}  & \multirow{1}{*}{`9_p90'} & \multirow{1}{*}{`9_med'}  & \multirow{1}{*}{`9_high'}  &  \multirow{1}{*}{`9_N'}    \\  " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{LAU (Municipality)}  & \multirow{1}{*}{`10_mean'}   & \multirow{1}{*}{`10_p10'} & \multirow{1}{*}{`10_p25'}  & \multirow{1}{*}{`10_p50'}  & \multirow{1}{*}{`10_p75'}  & \multirow{1}{*}{`10_p90'} & \multirow{1}{*}{`10_med'}  & \multirow{1}{*}{`10_high'}  &  \multirow{1}{*}{~`10_N'}    \\[0.2cm]  " _n
	file write table_b99 "" _n	
	file write table_b99 "\textbf{Alternative Measure of Firm Size:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{Employment}  & \multirow{1}{*}{`12_mean'}   & \multirow{1}{*}{`12_p10'} & \multirow{1}{*}{`12_p25'}  & \multirow{1}{*}{`12_p50'}  & \multirow{1}{*}{`12_p75'}  & \multirow{1}{*}{`12_p90'} & \multirow{1}{*}{`12_med'}  & \multirow{1}{*}{`12_high'}  &  \multirow{1}{*}{`12_N'}    \\  " _n
	file write table_b99 "" _n	
	file write table_b99 "\multirow{1}{*}{Wage Bill}  & \multirow{1}{*}{`13_mean'}   & \multirow{1}{*}{`13_p10'} & \multirow{1}{*}{`13_p25'}  & \multirow{1}{*}{`13_p50'}  & \multirow{1}{*}{`13_p75'}  & \multirow{1}{*}{`13_p90'} & \multirow{1}{*}{`13_med'}  & \multirow{1}{*}{`13_high'}  &  \multirow{1}{*}{~`13_N'}    \\[0.2cm]  " _n
	file write table_b99 "" _n	
	file write table_b99 "\textbf{Alternative Concentration Index:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{Inverse Number of Firms}  & \multirow{1}{*}{`14_mean'}   & \multirow{1}{*}{`14_p10'} & \multirow{1}{*}{`14_p25'}  & \multirow{1}{*}{`14_p50'}  & \multirow{1}{*}{`14_p75'}  & \multirow{1}{*}{`14_p90'} & \multirow{1}{*}{`14_med'}  & \multirow{1}{*}{`14_high'}  &  \multirow{1}{*}{`14_N'}   \\ " _n
	file write table_b99 "" _n
	file write table_b99 "\multirow{1}{*}{1-Firm Concentration Ratio}   & \multirow{1}{*}{`15_mean'}   & \multirow{1}{*}{`15_p10'} & \multirow{1}{*}{`15_p25'}  & \multirow{1}{*}{`15_p50'}  & \multirow{1}{*}{`15_p75'} & \multirow{1}{*}{`15_p90'} & \multirow{1}{*}{`15_med'}  & \multirow{1}{*}{`15_high'}  &  \multirow{1}{*}{`15_N'}    \\ " _n
	file write table_b99 "" _n	
	file write table_b99 "\multirow{1}{*}{3-Firm Concentration Ratio}   & \multirow{1}{*}{`16_mean'}   & \multirow{1}{*}{`16_p10'} & \multirow{1}{*}{`16_p25'}  & \multirow{1}{*}{`16_p50'}  & \multirow{1}{*}{`16_p75'} & \multirow{1}{*}{`16_p90'} & \multirow{1}{*}{`16_med'}  & \multirow{1}{*}{`16_high'}  &  \multirow{1}{*}{`16_N'}    \\ " _n
	file write table_b99 "" _n	
	file write table_b99 "\multirow{1}{*}{5-Firm Concentration Ratio}   & \multirow{1}{*}{`17_mean'}   & \multirow{1}{*}{`17_p10'} & \multirow{1}{*}{`17_p25'}  & \multirow{1}{*}{`17_p50'}  & \multirow{1}{*}{`17_p75'} & \multirow{1}{*}{`17_p90'} & \multirow{1}{*}{`17_med'}  & \multirow{1}{*}{`17_high'}  &  \multirow{1}{*}{`17_N'}    \\ \hline " _n
	file write table_b99 "" _n	
	file write table_b99 "\end{tabular} " _n
	file write table_b99 "\begin{tablenotes}[para] " _n
	file write table_b99 "\footnotesize\textsc{Note. ---} The table displays descriptive statistics for labor market concentration in Germany. Labor markets refer to pair-wise combinations of occupations and commuting zones, and are tracked with annual frequency. The baseline concentration refers to the worker-weighted Herfindahl-Hirschman Index for hiring shares in yearly combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}. The requirement level differentiates between jobs for helpers, professionals, specialists, and experts. For the concentration ratios, the share variable refers to the fraction of workers in labor markets where the largest firms hold a market-dominating position of more than 40 percent, 50 percent or two thirds. CZ = Commuting Zone. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. LAU = Local Administrative Units. NUTS = Statistical Nomenclature of Territorial Units. PX = Xth Percentile. Source: BEH, 2012-2023." _n
	file write table_b99 "\end{tablenotes} " _n
	file write table_b99 "\end{threeparttable} " _n
	file write table_b99 "%} " _n
	file write table_b99 "\end{table} " _n
	file write table_b99 "\end{landscape}	 " _n
	
file close table_b99	
	
		
	
	
	
	
	
	
	
	

*Figure B2
	
use "$data\LMC_kldb_35_0_1223.dta", clear

drop if CR1_H_35_0==.

keep kldb10_35_imp ram year HHI_H_35_0 CR1_H_35_0 CR3_H_35_0 CR5_H_35_0


cumul HHI_H_35_0, gen(cumul_HHI)
cumul CR1_H_35_0, gen(cumul_CR1)
cumul CR3_H_35_0, gen(cumul_CR3)
cumul CR5_H_35_0, gen(cumul_CR5)

sort cumul_CR1


twoway (scatter cumul_HHI HHI_H_35_0) (scatter cumul_CR1 CR1_H_35_0) (scatter cumul_CR3 CR3_H_35_0) (scatter cumul_CR5 CR5_H_35_0)


gen n = _n
gen mod = mod(n,2500)
keep if mod==0

twoway (scatter cumul_HHI HHI_H_35_0) (scatter cumul_CR1 CR1_H_35_0) (scatter cumul_CR3 CR3_H_35_0) (scatter cumul_CR5 CR5_H_35_0)


*sort cumul_fweight_LM
*line cumul_fweight_N cumul_fweight_L cumul_fweight_LM HHI_L40_irt, ytitle(Cumulative Distribution) xtitle(Herfindahl-Hirschman Index) legend(order( 1 "Firms" 2 "Workers" 3 "Labor Markets" ))

**# Bookmark #1

*Figure B2

local measure HHI CR1 CR3 CR5

foreach x of local measure {

	
	foreach y of numlist 1/193{
				
	*cap local outlier : di %5.0g outlier[`y'] // reduce storage
		
		sort cumul_`x'
		
		cap local CR : di %5.0g `x'_H_35_0[`y']
		cap local cumul : di %5.0g cumul_`x'[`y']

		local values_`x' : display "`values_`x'' (" `CR' "," `cumul' ")"



		
	}


}		
		display "`values_HHI'"	
		display "`values_CR1'"	
		display "`values_CR3'"	
		display "`values_CR5'"	


					

file open figure_b2 using "$file\Figure B2.tex", write replace
	
	file write figure_b2 "\begin{figure}[!ht]" _n
	file write figure_b2 "\centering" _n
	file write figure_b2 "\caption{Cumulative Distribution of Labor Market Concentration}" _n
	file write figure_b2 "\label{fig:B2}" _n
	file write figure_b2 "\scalebox{0.80}{" _n
	file write figure_b2 "\begin{tikzpicture}" _n
	file write figure_b2 "\begin{axis}[ytick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1}, reverse legend, height=14cm, width=14cm, grid=major, grid style = dotted, xtick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1}, xlabel=Concentration Measure,ylabel=Cumulative Distribution, xmin=-0.05, xmax=1.05, ymin = -0.05, ymax=1.05, legend pos = south east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd},x tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}]" _n
	file write figure_b2 "" _n
	file write figure_b2 "%\draw[dashed, color=black, line width=0.5mm] (0.2,0) -- (0.2,0.618);" _n
	file write figure_b2 "%\draw[dashed, color=gray, line width=0.5mm] (0.4,0) -- (0.4,0.702);" _n	
	file write figure_b2 "%\draw[dashed, color=darkgray, line width=0.5mm] (0.5,0) -- (0.5,0.521);" _n	
	file write figure_b2 "%\draw[dashed, color=lightgray, line width=0.5mm] (0.6666666667,0) -- (0.6666666667,0.534);" _n		
	file write figure_b2 "\addplot[mark=none, dash pattern = on 7.6pt off 2pt, color=lightgray, line width=1mm] coordinates { (0,0) `values_CR5' (1,1)};" _n
	file write figure_b2 "" _n	
	file write figure_b2 "\addplot[mark=none, dash pattern = on 11.4pt off 2pt, color=darkgray, line width=1mm] coordinates { (0,0) `values_CR3' (1,1)};" _n
	file write figure_b2 "" _n	
	file write figure_b2 "\addplot[mark=none, dash pattern = on 4.4pt off 2pt, color=gray, line width=1mm] coordinates { (0,0) `values_CR1' (1,1)};" _n
	file write figure_b2 "" _n	
	file write figure_b2 "\addplot[mark=none, solid, color=black, line width=1mm] coordinates { (0,0) `values_HHI' (1,1)};" _n
	file write figure_b2 "" _n
	file write figure_b2 "\legend{~5-Firm Concentration Ratio,~3-Firm Concentration Ratio,~1-Firm Concentration Ratio,~Herfindahl-Hirschman Index}" _n
	file write figure_b2 "\end{axis}" _n
	file write figure_b2 "\end{tikzpicture}" _n
	file write figure_b2 "}" _n
	file write figure_b2 "\floatfoot{\footnotesize\textsc{Note. ---} The figure illustrates cumulative distribution functions of labor market concentration in Germany for four different concentration indices: Herfindahl-Hirschman Index, 1-Firm Concentration Ratio, 3-Firm Concentration Ratio, and 5-Firm Concentration Ratio. Labor market concentration refers to hiring shares for pair-wise combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}, and is tracked with annual frequency. Source: BEH, 2012-2023.}" _n
	file write figure_b2 "\end{figure}" _n

file close figure_b2

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	









*Figure 2



use "$data\LMC_kldb_35_0_1223.dta", clear




hist HHI_H_35_0, start(0) width(0.025) 

preserve // Figure 1, Panel a

	twoway__histogram_gen HHI_H_35_0, fraction start(0) width(0.025) gen(y_hist x_hist, replace)


	keep *_hist
	keep if _n<=41
	
	replace x_hist = x_hist - 0.0125


	format %5.3f x_hist
	replace x_hist=1 if _n==41
	replace y_hist=0.0001 if _n==41
	
	expand 2
	sort x_hist
	
	format %5.3f x_hist
	replace x_hist = round(x_hist,0.001)

	drop if _n==1
	drop if _n==81
	
	
	foreach x of numlist 1(2)79 {
	
		global start = `x'
		global end = `x' + 1
		
		foreach y of numlist $start/$end {
				
			local bar_H_`x' : display "`bar_H_`x'' (" x_hist[`y'] "," y_hist[`y'] ")"

			
		}
	
	}
	
	display "`bar_H_1'"
	display "`bar_H_79'"
	
restore	
	
	
	
hist HHI_L_35_0, start(0) width(0.025) 

preserve // Figure 1, Panel b

	twoway__histogram_gen HHI_L_35_0, fraction start(0) width(0.025) gen(y_hist x_hist, replace)


	keep *_hist
	keep if _n<=41
	
	replace x_hist = x_hist - 0.0125


	format %5.3f x_hist
	replace x_hist=1 if _n==41
	replace y_hist=0.0001 if _n==41
	
	expand 2
	sort x_hist
	
	format %5.3f x_hist
	replace x_hist = round(x_hist,0.001)

	drop if _n==1
	drop if _n==81
	
	
	foreach x of numlist 1(2)79 {
	
		global start = `x'
		global end = `x' + 1
		
		foreach y of numlist $start/$end {
				
			local bar_L_`x' : display "`bar_L_`x'' (" x_hist[`y'] "," y_hist[`y'] ")"

			
		}
	
	}
	
	display "`bar_L_1'"
	display "`bar_L_79'"
	
restore	



hist HHI_W_35_0, start(0) width(0.025) 

preserve // Figure 1, Panel c

	twoway__histogram_gen HHI_W_35_0, fraction start(0) width(0.025) gen(y_hist x_hist, replace)


	keep *_hist
	keep if _n<=41
	
	replace x_hist = x_hist - 0.0125


	format %5.3f x_hist
	replace x_hist=1 if _n==41
	replace y_hist=0.0001 if _n==41
	
	expand 2
	sort x_hist
	
	format %5.3f x_hist
	replace x_hist = round(x_hist,0.001)

	drop if _n==1
	drop if _n==81
	
	
	foreach x of numlist 1(2)79 {
	
		global start = `x'
		global end = `x' + 1
		
		foreach y of numlist $start/$end {
				
			local bar_W_`x' : display "`bar_W_`x'' (" x_hist[`y'] "," y_hist[`y'] ")"

			
		}
	
	}
	
	display "`bar_W_1'"
	display "`bar_W_79'"
	
restore	





	
file open figure_2 using "$file\Figure 2.tex", write replace	

	file write figure_2 "\begin{figure}[!ht]" _n
	file write figure_2 "\caption{Distribution of Labor Market Concentration}" _n
	file write figure_2 "\label{fig:2}" _n
	file write figure_2 "\begin{subfigure}{1\textwidth}" _n
	file write figure_2 "\caption{Hires}" _n
	file write figure_2 "\centering" _n
	file write figure_2 "\scalebox{0.725}{" _n
	file write figure_2 "\begin{tikzpicture}" _n
	file write figure_2 "\pgfplotsset{set layers}" _n
	file write figure_2 "\begin{axis}[area style, xlabel=Herfindahl-Hirschman Index, ylabel=Density, xtick align=outside, xtick pos = left, height=8.5cm, width=19cm, xmin=-0.05, xmax=1.05, ymin = -0.01, ymax=0.25, ytick={0,0.06,0.12,0.18,0.24},xtick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1}, grid=major, set layers, major grid style = {dotted, /pgfplots/on layer=axis background}, legend pos = north east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=2,/tikz/.cd}, x tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}]" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.042,0) -- (0.042,0.18) node[above, color=blue]{P25=0.042};" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.125,0) -- (0.125,0.15) node[above, color=blue]{P50=0.125};" _n
	file write figure_2 "\draw[dashed, color=blue] (0.257,0) -- (0.257,0.12) node[above, color=blue]{Mean=0.257};" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.333,0) -- (0.333,0.09) node[above, color=blue]{P75=0.333};" _n
	file write figure_2 "\legend{{~Low (44.4 Percent)},,,,{~Medium (16.9 Percent)},,,,{~High (38.7 Percent)}}" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_H_1'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_H_3'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_H_5'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_H_7'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_H_9'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_H_11'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_H_13'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_H_15'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_17'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_19'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_21'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_23'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_25'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_27'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_29'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_31'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_33'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_35'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_37'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_39'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_41'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_43'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_45'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_47'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_49'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_51'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_53'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_55'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_57'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_59'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_61'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_63'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_65'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_67'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_69'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_71'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_73'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_75'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_77'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_H_79'};" _n
	file write figure_2 "\end{axis}" _n
	file write figure_2 "\end{tikzpicture}" _n
	file write figure_2 "}" _n
	file write figure_2 "\end{subfigure}" _n
	file write figure_2 "\vskip \baselineskip" _n
	file write figure_2 "\begin{subfigure}{1\textwidth}" _n
	file write figure_2 "\caption{Employment}" _n
	file write figure_2 "\centering" _n
	file write figure_2 "\scalebox{0.725}{" _n
	file write figure_2 "\begin{tikzpicture}" _n
	file write figure_2 "\pgfplotsset{set layers}" _n
	file write figure_2 "\begin{axis}[area style, xlabel=Herfindahl-Hirschman Index, ylabel=Density, xtick align=outside, xtick pos = left, height=8.5cm, width=19cm, xmin=-0.05, xmax=1.05, ymin = -0.01, ymax=0.25, ytick={0,0.06,0.12,0.18,0.24},xtick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1}, grid=major, set layers, major grid style = {dotted, /pgfplots/on layer=axis background}, legend pos = north east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=2,/tikz/.cd}, x tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}]" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.027,0) -- (0.027,0.18) node[above, color=blue, xshift=0.9cm]{P25=0.027};" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.079,0) -- (0.079,0.15) node[above, color=blue, xshift=0.8cm]{P50=0.079};" _n
	file write figure_2 "\draw[dashed, color=blue] (0.186,0) -- (0.186,0.12) node[above, color=blue]{Mean=0.186};" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.224,0) -- (0.224,0.09) node[above, color=blue, xshift=0.8cm]{P75=0.224};" _n
	file write figure_2 "\legend{{~Low (55.8 Percent)},,,,{~Medium (16.3 Percent)},,,,{~High (27.9 Percent)}}" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_L_1'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_L_3'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_L_5'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_L_7'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_L_9'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_L_11'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_L_13'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_L_15'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_17'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_19'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_21'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_23'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_25'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_27'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_29'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_31'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_33'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_35'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_37'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_39'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_41'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_43'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_45'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_47'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_49'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_51'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_53'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_55'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_57'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_59'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_61'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_63'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_65'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_67'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_69'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_71'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_73'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_75'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_77'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_L_79'};" _n
	file write figure_2 "\end{axis}" _n
	file write figure_2 "\end{tikzpicture}" _n
	file write figure_2 "}" _n
	file write figure_2 "\end{subfigure}" _n
	file write figure_2 "\vskip \baselineskip" _n
	file write figure_2 "\begin{subfigure}{1\textwidth}" _n
	file write figure_2 "\centering" _n
	file write figure_2 "\caption{Wage Bill}" _n
	file write figure_2 "\scalebox{0.725}{" _n
	file write figure_2 "\begin{tikzpicture}" _n
	file write figure_2 "\pgfplotsset{set layers}" _n
	file write figure_2 "\begin{axis}[area style, xlabel=Herfindahl-Hirschman Index, ylabel=Density, xtick align=outside, xtick pos = left, height=8.5cm, width=19cm, xmin=-0.05, xmax=1.05, ymin = -0.01, ymax=0.25, ytick={0,0.06,0.12,0.18,0.24},xtick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1}, grid=major, set layers, major grid style = {dotted, /pgfplots/on layer=axis background}, legend pos = north east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=2,/tikz/.cd}, x tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}]" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.037,0) -- (0.037,0.18) node[above, color=blue]{P25=0.037};" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.105,0) -- (0.105,0.15) node[above, color=blue]{P50=0.105};" _n
	file write figure_2 "\draw[dashed, color=blue] (0.223,0) -- (0.223,0.12) node[above, color=blue]{Mean=0.223};" _n
	file write figure_2 "%\draw[dashed, color=blue] (0.294,0) -- (0.294,0.09) node[above, color=blue]{P75=0.294};" _n
	file write figure_2 "\legend{{~Low (48.7 Percent)},,,,{~Medium (17.3 Percent)},,,,{~High (34.0 Percent)}}" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_W_1'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_W_3'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_W_5'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!5!white] plot coordinates {`bar_W_7'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_W_9'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_W_11'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_W_13'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!20!white] plot coordinates {`bar_W_15'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_17'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_19'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_21'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_23'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_25'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_27'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_29'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_31'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_33'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_35'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_37'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_39'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_41'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_43'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_45'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_47'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_49'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_51'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_53'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_55'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_57'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_59'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_61'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_63'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_65'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_67'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_69'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_71'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_73'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_75'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_77'};" _n
	file write figure_2 "\addplot+[ybar interval, mark=no, color=black, fill=gray!60!white] plot coordinates {`bar_W_79'};" _n
	file write figure_2 "\end{axis}" _n
	file write figure_2 "\end{tikzpicture}" _n
	file write figure_2 "}" _n
	file write figure_2 "\end{subfigure}" _n
	file write figure_2 "\linespread{1} \floatfoot{\footnotesize\textsc{Note. ---} The figure illustrates the distribution of labor market concentration in Germany. Labor market concentration refers to HHI values for pair-wise combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}, and is tracked with annual frequency. The three histograms refer to the concentration of new hires, employment, and wage bill, respectively. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. Source: BEH, 2012-2023.} \linespread{1.5}" _n
	file write figure_2 "\end{figure}" _n

file close figure_2













	
	
*Table 4
	
use "$data\LMC_kldb_35_0_1223.dta", clear	

keep kldb10_35_imp ram year HHI_H_35_0 HHI_L_35_0 HHI_W_35_0 

drop if HHI_H_35_0==.
drop if HHI_L_35_0==.
drop if HHI_W_35_0==.


gen ln_HHI_H_35_0 = log(HHI_H_35_0)
gen ln_HHI_L_35_0 = log(HHI_L_35_0)
gen ln_HHI_W_35_0 = log(HHI_W_35_0)

sum HHI_H_35_0 HHI_L_35_0 HHI_W_35_0 ln_HHI_H_35_0 ln_HHI_L_35_0 ln_HHI_W_35_0


	



correlate HHI_H_35_0 HHI_L_35_0 HHI_W_35_0 
return list

matrix list r(C)

local 1_1_a : di %4.3f r(C)[1,1]
 
local 2_1_a : di %4.3f r(C)[2,1]
local 2_2_a : di %4.3f r(C)[2,2]

local 3_1_a : di %4.3f r(C)[3,1]
local 3_2_a : di %4.3f r(C)[3,2]
local 3_3_a : di %4.3f r(C)[3,3]



correlate ln_HHI_H_35_0 ln_HHI_L_35_0 ln_HHI_W_35_0
return list


local 1_1_b : di %4.3f r(C)[1,1]
 
local 2_1_b : di %4.3f r(C)[2,1]
local 2_2_b : di %4.3f r(C)[2,2]

local 3_1_b : di %4.3f r(C)[3,1]
local 3_2_b : di %4.3f r(C)[3,2]
local 3_3_b : di %4.3f r(C)[3,3]



spearman HHI_H_35_0 HHI_L_35_0 HHI_W_35_0 
*spearman ln_HHI_H_35_0 ln_HHI_L_35_0 ln_HHI_W_35_0
return list

matrix list r(Rho)


local 1_1_c : di %4.3f r(Rho)[1,1]
 
local 2_1_c : di %4.3f r(Rho)[2,1]
local 2_2_c : di %4.3f r(Rho)[2,2]

local 3_1_c : di %4.3f r(Rho)[3,1]
local 3_2_c : di %4.3f r(Rho)[3,2]
local 3_3_c : di %4.3f r(Rho)[3,3]

	
	
	
file open table_4 using "$file\Table 4.tex", write replace
		
	file write table_4 "\begin{table}[!ht]" _n
	file write table_4 "\centering" _n
	file write table_4 "%\resizebox{\textwidth}{!}{" _n
	file write table_4 "\scalebox{0.90}{" _n
	file write table_4 "\begin{threeparttable}" _n
	file write table_4 "\caption{Correlation between HHI Measures}" _n
	file write table_4 "\label{tab:4}" _n
	file write table_4 "\begin{tabular}{L{4.25cm}C{3.5cm}C{3.5cm}C{3.5cm}} \hline" _n
	file write table_4 "&&& \\[-0.3cm]" _n
	file write table_4 "\multirow{2}{*}{} & \multirow{2.4}{*}{\shortstack{\textbf{HHI}\vphantom{/} \\ \textbf{Hires}\vphantom{/} }} & \multirow{2.4}{*}{\shortstack{\textbf{HHI}\vphantom{/} \\ \textbf{Employment}\vphantom{/} }} & \multirow{2.4}{*}{\shortstack{\textbf{HHI}\vphantom{/} \\ \textbf{Wage Bill}\vphantom{/} }} \\" _n
	file write table_4 "&&& \\" _n
	file write table_4 "&&& \\[-0.1cm] \hline" _n
	file write table_4 "\multirow{3.4}{*}{\shortstack[l]{\textbf{HHI} \vphantom{/} \\ \textbf{Hires}\vphantom{/} }} & \multirow{3.4}{*}{\shortstack{`1_1_a'\vphantom{/} \\ (`1_1_b') \\ {[`1_1_c']}}} & \multirow{3.4}{*}{} & \multirow{3.4}{*}{}  \\" _n
	file write table_4 "&&& \\" _n
	file write table_4 "&&& \\[0.3cm]" _n	
	file write table_4 "\multirow{3.4}{*}{\shortstack[l]{\textbf{HHI} \vphantom{/} \\ \textbf{Employment}\vphantom{/} }} & \multirow{3.4}{*}{\shortstack{`2_1_a'\vphantom{/} \\ (`2_1_b') \\ {[`2_1_c']}}} & \multirow{3.4}{*}{\shortstack{`2_2_a'\vphantom{/} \\ (`2_2_b') \\ {[`2_2_c']}}} & \multirow{3.4}{*}{}  \\" _n
	file write table_4 "&&& \\" _n
	file write table_4 "&&& \\[0.3cm]" _n	
	file write table_4 "\multirow{3.4}{*}{\shortstack[l]{\textbf{HHI} \vphantom{/} \\ \textbf{Wage Bill}\vphantom{/} }} & \multirow{3.4}{*}{\shortstack{`3_1_a'\vphantom{/} \\ (`3_1_b') \\ {[`3_1_c']}}} & \multirow{3.4}{*}{\shortstack{`3_2_a'\vphantom{/}  \\ (`3_2_b') \\ {[`3_2_c']}}} & \multirow{3.4}{*}{\shortstack{`3_3_a'\vphantom{/}  \\ (`3_3_b') \\ {[`3_3_c']}}} \\" _n
	file write table_4 "&&& \\" _n
	file write table_4 "&&& \\[0.3cm] \hline" _n	
	file write table_4 "\end{tabular}" _n
	file write table_4 "\begin{tablenotes}[para]" _n
	file write table_4 "\footnotesize\textsc{Note. ---} The table displays the correlations between different HHI measures. Labor market concentration refers to HHI values for pair-wise combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}, and is tracked with annual frequency. The first value in each cell denotes the Bravais-Pearson correlation coefficient between the HHI values in levels. The second value in each cell (in parentheses) denotes the Bravais-Pearson correlation coefficient between the HHI values in logs. The third value in each cell (in square brackets) denotes the Spearman rank correlation coefficient between the HHI values. The number of observations is 484,008. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. Source: BEH, 2012-2023." _n
	file write table_4 "\end{tablenotes}" _n
	file write table_4 "\end{threeparttable}" _n
	file write table_4 "}" _n
	file write table_4 "\end{table}" _n
	
file close table_4	
	
	
















			
		
*Figure 3		
			
	
	
use "$data\LMC_kldb_35_0_1223.dta", clear		
collapse (mean) HHI_H_35_0_mean=HHI_H_35_0, by(year)
save "$data\LMC_kldb_1.dta", replace

use "$data\LMC_kldb_15_0_1223.dta", clear		
collapse (mean) HHI_H_15_0_mean=HHI_H_15_0, by(year)
save "$data\LMC_kldb_2.dta", replace

use "$data\LMC_kldb_25_0_1223.dta", clear		
collapse (mean) HHI_H_25_0_mean=HHI_H_25_0, by(year)
save "$data\LMC_kldb_3.dta", replace

use "$data\LMC_kldb_45_0_1223.dta", clear		
collapse (mean) HHI_H_45_0_mean=HHI_H_45_0, by(year)
save "$data\LMC_kldb_4.dta", replace

use "$data\LMC_kldb_35_1_1223.dta", clear		
collapse (mean) HHI_H_35_1_mean=HHI_H_35_1, by(year)
save "$data\LMC_kldb_5.dta", replace

use "$data\LMC_kldb_35_2_1223.dta", clear		
collapse (mean) HHI_H_35_2_mean=HHI_H_35_2, by(year)
save "$data\LMC_kldb_6.dta", replace

use "$data\LMC_kldb_35_3_1223.dta", clear		
collapse (mean) HHI_H_35_3_mean=HHI_H_35_3, by(year)
save "$data\LMC_kldb_7.dta", replace

use "$data\LMC_kldb_35_4_1223.dta", clear		
collapse (mean) HHI_H_35_4_mean=HHI_H_35_4, by(year)
save "$data\LMC_kldb_8.dta", replace

use "$data\LMC_kldb_35_0_1223.dta", clear		
collapse (mean) HHI_L_35_0_mean=HHI_L_35_0, by(year)
save "$data\LMC_kldb_9.dta", replace

use "$data\LMC_kldb_35_0_1223.dta", clear		
collapse (mean) HHI_W_35_0_mean=HHI_W_35_0, by(year)
save "$data\LMC_kldb_10.dta", replace

use "$data\LMC_kldb_35_0_1223.dta", clear		
collapse (mean) INS_H_35_0_mean=INS_H_35_0, by(year)
save "$data\LMC_kldb_11.dta", replace

use "$data\LMC_kldb_35_0_1223.dta", clear		
collapse (mean) CR1_H_35_0_mean=CR1_H_35_0, by(year)
save "$data\LMC_kldb_12.dta", replace

use "$data\LMC_kldb_35_0_1223.dta", clear		
collapse (mean) CR3_H_35_0_mean=CR3_H_35_0, by(year)
save "$data\LMC_kldb_13.dta", replace



use "$data\LMC_kldb_1.dta", replace

foreach x of numlist 2/13 {
	
	merge 1:1 year using "$data\LMC_kldb_`x'.dta"
	drop _merge
	
}





	
foreach y of numlist 1/12 {
			
*cap local outlier : di %5.0g outlier[`y'] // reduce storage


	local values_HHI_baseline : display "`values_HHI_baseline' (" year[`y'] "," HHI_H_35_0_mean[`y'] ")"

	local values_HHI_15 : display "`values_HHI_15' (" year[`y'] "," HHI_H_15_0_mean[`y'] ")"
	local values_HHI_25 : display "`values_HHI_25' (" year[`y'] "," HHI_H_25_0_mean[`y'] ")"
	local values_HHI_45 : display "`values_HHI_45' (" year[`y'] "," HHI_H_45_0_mean[`y'] ")"

	local values_HHI_1 : display "`values_HHI_1' (" year[`y'] "," HHI_H_35_1_mean[`y'] ")"
	local values_HHI_2 : display "`values_HHI_2' (" year[`y'] "," HHI_H_35_2_mean[`y'] ")"
	local values_HHI_3 : display "`values_HHI_3' (" year[`y'] "," HHI_H_35_3_mean[`y'] ")"
	local values_HHI_4 : display "`values_HHI_4' (" year[`y'] "," HHI_H_35_4_mean[`y'] ")"

	local values_HHI_L : display "`values_HHI_L' (" year[`y'] "," HHI_L_35_0_mean[`y'] ")"
	local values_HHI_W : display "`values_HHI_W' (" year[`y'] "," HHI_W_35_0_mean[`y'] ")"

	local values_HHI_INS : display "`values_HHI_INS' (" year[`y'] "," INS_H_35_0_mean[`y'] ")"
	local values_HHI_CR1 : display "`values_HHI_CR1' (" year[`y'] "," CR1_H_35_0_mean[`y'] ")"	
	local values_HHI_CR3 : display "`values_HHI_CR3' (" year[`y'] "," CR3_H_35_0_mean[`y'] ")"		
	
}


	

display "`values_HHI_baseline'"	
display "`values_HHI_15'"	
display "`values_HHI_25'"	
display "`values_HHI_45'"	
display "`values_HHI_1'"	
display "`values_HHI_2'"	
display "`values_HHI_3'"	
display "`values_HHI_4'"	
display "`values_HHI_L'"	
display "`values_HHI_W'"	
display "`values_HHI_INS'"	
display "`values_HHI_CR1'"	
display "`values_HHI_CR3'"	







file open figure_3 using "$file\Figure 3.tex", write replace
	
		file write figure_3 "\afterpage{" _n
		file write figure_3 "\begin{landscape}" _n
		file write figure_3 "\begin{figure}[!ht]" _n
		file write figure_3 "\caption{Labor Market Concentration Over Time}" _n
		file write figure_3 "\label{fig:3}" _n
		file write figure_3 "\hspace*{-0.55cm}" _n
		file write figure_3 "\begin{subfigure}{0.45\textwidth}" _n
		file write figure_3 "\caption{By Occupational Dimension}" _n
		file write figure_3 "\centering" _n
		file write figure_3 "\scalebox{0.725}{" _n
		file write figure_3 "\begin{tikzpicture}" _n
		file write figure_3 "\begin{axis}[ytick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0}, height=8.5cm, width=14cm, grid=major, grid style = dotted, xtick={2012,2015,2020,2023}, xlabel=Year, ylabel=Herfindahl-Hirschman Index, ymin=-0.05, ymax=1.05, xmin=2011, xmax=2024, legend pos = north east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd},scaled y ticks=false, legend style={font=\small}]" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 4.4pt off 2pt, color=gray, line width=1mm] coordinates { `values_HHI_45' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, solid, color=blue, line width=1mm] coordinates { `values_HHI_baseline' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 11.4pt off 2pt, color=darkgray, line width=1mm] coordinates { `values_HHI_25' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 7.6pt off 2pt, color=lightgray,  line width=1mm] coordinates { `values_HHI_15' };" _n
		file write figure_3 "" _n
		file write figure_3 "\legend{~4-Digit KldB-10 (Sub-Group) $\times$ Level,~\textbf{3-Digit KldB-10 (Group)} $\mathbf{\times}$ \textbf{Level},~2-Digit KldB-10 (Main Group) $\times$ Level,~1-Digit KldB-10 (Area) $\times$ Level}" _n
		file write figure_3 "" _n
		file write figure_3 "\end{axis}" _n
		file write figure_3 "\end{tikzpicture}" _n
		file write figure_3 "}" _n
		file write figure_3 "\end{subfigure}" _n
		file write figure_3 "%\hfill" _n
		file write figure_3 "\begin{subfigure}{0.45\textwidth}" _n
		file write figure_3 "\caption{By Spatial Dimension}" _n
		file write figure_3 "\centering" _n
		file write figure_3 "\scalebox{0.725}{" _n
		file write figure_3 "\begin{tikzpicture}" _n
		file write figure_3 "\begin{axis}[ytick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0}, height=8.5cm, width=14cm, grid=major, grid style = dotted, xtick={2012,2015,2020,2023}, xlabel=Year, ylabel=Herfindahl-Hirschman Index, ymin=-0.05, ymax=1.05, xmin=2011, xmax=2024, legend pos = north east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd},scaled y ticks=false, legend style={font=\small}]" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 4.4pt off 2pt, color=gray, line width=1mm] coordinates { `values_HHI_4' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 11.4pt off 2pt, color=darkgray, line width=1mm] coordinates { `values_HHI_3' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, solid, color=blue, line width=1mm] coordinates { `values_HHI_baseline' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 7.6pt off 2pt, color=lightgray, line width=1mm] coordinates { `values_HHI_2' };" _n
		file write figure_3 "" _n		
		file write figure_3 "\legend{~LAU (Municipality),~NUTS-3 (District),~\textbf{Commuting Zone},~NUTS-2 (Government Region)}" _n
		file write figure_3 "" _n
		file write figure_3 "\end{axis}" _n
		file write figure_3 "\end{tikzpicture}" _n
		file write figure_3 "}" _n
		file write figure_3 "\end{subfigure}" _n
		file write figure_3 "\vskip\baselineskip" _n
		file write figure_3 "\begin{subfigure}{0.45\textwidth}" _n
		file write figure_3 "\caption{By Measure of Firms' Size}" _n
		file write figure_3 "\centering" _n
		file write figure_3 "\scalebox{0.725}{" _n
		file write figure_3 "\begin{tikzpicture}" _n
		file write figure_3 "\begin{axis}[ytick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0}, height=8.5cm, width=14cm, grid=major, grid style = dotted, xtick={2012,2015,2020,2023}, xlabel=Year, ylabel=Herfindahl-Hirschman Index, ymin=-0.05, ymax=1.05, xmin=2011, xmax=2024, legend pos = north east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd},scaled y ticks=false, legend style={font=\small}]" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, solid, color=blue, line width=1mm] coordinates { `values_HHI_baseline' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 4.4pt off 2pt, color=gray,line width=1mm] coordinates { `values_HHI_W' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 11.4pt off 2pt, color=darkgray, line width=1mm] coordinates { `values_HHI_L' };" _n
		file write figure_3 "" _n
		file write figure_3 "\legend{~\textbf{Hires},~Wage Bill,~Employment}" _n
		file write figure_3 "" _n
		file write figure_3 "\end{axis}" _n
		file write figure_3 "\end{tikzpicture}" _n
		file write figure_3 "}" _n
		file write figure_3 "\end{subfigure}" _n
		file write figure_3 "%\hfill" _n
		file write figure_3 "\begin{subfigure}{0.45\textwidth}" _n
		file write figure_3 "\caption{By Concentration Index}" _n
		file write figure_3 "\centering" _n
		file write figure_3 "\scalebox{0.725}{" _n
		file write figure_3 "\begin{tikzpicture}" _n
		file write figure_3 "\begin{axis}[ytick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0}, height=8.5cm, width=14cm, grid=major, grid style = dotted, xtick={2012,2015,2020,2023}, xlabel=Year, ylabel=Concentration Measure, ymin=-0.05, ymax=1.05, xmin=2011, xmax=2024, legend pos = north east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd},scaled y ticks=false, legend style={font=\small}]" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 4.4pt off 2pt, color=gray, line width=1mm] coordinates { `values_HHI_CR3' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 11.4pt off 2pt, color=darkgray, line width=1mm] coordinates { `values_HHI_CR1'};" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, solid, color=blue, line width=1mm] coordinates { `values_HHI_baseline' };" _n
		file write figure_3 "" _n
		file write figure_3 "\addplot[mark=none, dash pattern = on 7.6pt off 2pt, color=lightgray, line width=1mm] coordinates { `values_HHI_INS' };" _n
		file write figure_3 "" _n
		file write figure_3 "\legend{~3-Firm Concentration Ratio,~1-Firm Concentration Ratio,~\textbf{Herfindahl-Hirschman Index},~Inverse Number of Firms}" _n
		file write figure_3 "" _n
		file write figure_3 "\end{axis}" _n
		file write figure_3 "\end{tikzpicture}" _n
		file write figure_3 "}" _n
		file write figure_3 "\end{subfigure}" _n
		file write figure_3 "\linespread{1} \floatfoot{\footnotesize\textsc{Note. ---} The figure visualizes average labor market concentration over time for different occupational dimensions, spatial dimensions, measures of firms' size, and concentration indices. KldB = German Classification of Occupations. LAU = Local Administrative Units. NUTS = Statistical Nomenclature of Territorial Units. Source: BEH, 2012-2023.} \linespread{1.5}" _n
		file write figure_3 "\end{figure}" _n 
		file write figure_3 "\end{landscape}" _n
		file write figure_3 "}" _n
		
file close figure_3		

		
		







			
			
			
*Figure B1 			
			
	
	
use "$data\LMC_kldb_35_0_1223.dta", clear		


*gen ln_HHI_H_35_0 = ln(HHI_H_35_0)
*gen ln_HHI_L_35_0 = ln(HHI_L_35_0)

*scatter ln_HHI_H_35_0 ln_HHI_L_35_0

*binscatter ln_HHI_H_35_0 ln_HHI_L_35_0, nquantiles(100)



collapse (mean) HHI_H_35_0_mean=HHI_H_35_0 (p1) HHI_H_35_0_p1=HHI_H_35_0 (p10) HHI_H_35_0_p10=HHI_H_35_0 (p25) HHI_H_35_0_p25=HHI_H_35_0 (p50) HHI_H_35_0_p50=HHI_H_35_0 (p75) HHI_H_35_0_p75=HHI_H_35_0 (p90) HHI_H_35_0_p90=HHI_H_35_0 (p99) HHI_H_35_0_p99=HHI_H_35_0, by(year)

twoway (line HHI_H_35_0_mean year) (line HHI_H_35_0_p25 year) (line HHI_H_35_0_p50 year) (line HHI_H_35_0_p75 year) 




local measure p25 p50 mean p75

foreach x of local measure {

	
	foreach y of numlist 1/12 {
				
	*cap local outlier : di %5.0g outlier[`y'] // reduce storage


		local values_H_`x' : display "`values_H_`x'' (" year[`y'] "," HHI_H_35_0_`x'[`y'] ")"



		
	}


}		

display "`values_H_p25'"	
display "`values_H_p50'"	
display "`values_H_mean'"	
display "`values_H_p75'"


	
file open figure_b1 using "$file\Figure B1.tex", write replace
	
		file write figure_b1 "\begin{figure}[!ht]" _n
		file write figure_b1 "\centering" _n
		file write figure_b1 "\caption{Selected Moments of Labor Market Concentration over Time}" _n
		file write figure_b1 "\label{fig:B1}" _n
		file write figure_b1 "\scalebox{0.80}{" _n
		file write figure_b1 "\begin{tikzpicture}" _n
		file write figure_b1 "\begin{axis}[ytick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,1.0}, height=14cm, width=14cm, grid=major, grid style = dotted, xtick={2012,2015,2020,2023}, xlabel=Year, ylabel=Herfindahl-Hirschman Index,  ymin=-0.05, ymax=1.05, xmin=2011, xmax=2024, legend pos = north east, y tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}]" _n
		file write figure_b1 "" _n
		file write figure_b1 "\addplot[mark=none, dash pattern = on 4.4pt off 2pt, color=gray, line width=1mm] coordinates {`values_H_p75' }; " _n
		file write figure_b1 "" _n
		file write figure_b1 "\addplot[mark=none, solid, color=blue, line width=1mm] coordinates {`values_H_mean' }; " _n
		file write figure_b1 "" _n			
		file write figure_b1 "\addplot[mark=none, dash pattern = on 11.4pt off 2pt, color=darkgray, line width=1mm] coordinates {`values_H_p50' }; " _n
		file write figure_b1 "" _n				
		file write figure_b1 "\addplot[mark=none, dash pattern = on 7.6pt off 2pt, color=lightgray, line width=1mm] coordinates {`values_H_p25' }; " _n
		file write figure_b1 "" _n			
		file write figure_b1 "\legend{~75th Percentile,\textbf{Mean},~50th Percentile,~25th Percentile}" _n
		file write figure_b1 "" _n
		file write figure_b1 "\end{axis}" _n
		file write figure_b1 "\end{tikzpicture}" _n
		file write figure_b1 "}" _n
		file write figure_b1 "\floatfoot{\footnotesize\textsc{Note. ---} The figure reports means and selected percentiles of labor market concentration over time. Labor market concentration refers to HHI values (based on hiring shares) for pair-wise combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}, and is tracked with annual frequency. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. Source: BEH, 2012-2023.} " _n
		file write figure_b1 "\end{figure}" _n
		
file close figure_b1
	






























*Figure 4


use "$data\LMC_kldb_35_0_1223.dta", clear

gen kldb10_2_imp = floor(kldb10_35_imp/100) 


quietly do "$prog\KldB10-2 (v2020).do"
label values kldb10_2_imp kldb10_2
format %50.0f kldb10_2_imp

tab kldb10_2_imp, m

collapse (mean) HHI_mean_o=HHI_H_35_0 main_share=main (sum) L_35_0_sum=L_35_0, by(kldb10_2_imp)


drop if main_share<=0.5

gsort -HHI_mean_o
drop if kldb10_2_imp==1

graph hbar HHI_mean_o, over(kldb10_2_imp, label(labsize(tiny))  sort(HHI_mean_o))






decode kldb10_2_imp, gen(string_o)
gen n=_n



foreach y of numlist 1/30 { 

	
	local bar_hhi : display "`bar_hhi' (" HHI_mean_o[`y'] "," n[`y'] ")"
	
	local bar_label : di "`bar_label'{" string_o[`y']  "\vphantom{/}},"

	
}


display "`bar_hhi''"	
display "`bar_label'"	
	



file open figure_4 using "$file\Figure 4.tex", write replace
		
	file write figure_4 "\begin{figure}[!ht]" _n
	file write figure_4 "\centering" _n
	file write figure_4 "\caption{Labor Market Concentration by 2-Digit Occupation}" _n
	file write figure_4 "\label{fig:4}" _n
	file write figure_4 "\scalebox{0.80}{" _n
	file write figure_4 "\begin{tikzpicture}" _n
	file write figure_4 "\begin{axis}[xbar, bar width=0.2cm, nodes near coords, nodes near coords style = {font=\footnotesize}, nodes near coords style={/pgf/number format/.cd,fixed,fixed zerofill, precision=3}, xlabel={Average HHI}, ylabel={2-Digit Occupation}, xtick={0,0.1,0.2,0.3,0.4,0.5,0.6}, ytick={1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30}, ytick align=inside, height=12cm, width=12cm, grid=major, xmin= -0.025,xmax=0.675, ymajorgrids=false, major grid style = {dotted, /pgfplots/on layer=axis background}, x tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}, y tick label style = {font=\footnotesize},yticklabels={`bar_label'}]" _n
	file write figure_4 "\addplot[color=black,fill=gray] coordinates {`bar_hhi'};" _n
	file write figure_4 "\end{axis}" _n
	file write figure_4 "\end{tikzpicture}" _n
	file write figure_4 "}" _n
	file write figure_4 "\floatfoot{\footnotesize\textsc{Note. ---} The figure displays average labor market concentration by 2-Digit KldB-10 occupations in Germany. Labor market concentration refers to HHI values (based on hiring shares) for pair-wise combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}, and is tracked with annual frequency. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. Source: BEH, 2012-2023.}" _n
	file write figure_4 "\end{figure}" _n

file close figure_4














*Figure B3


use "$data\LMC_kldb_35_0_1223.dta", clear

gen kldb10_3_imp = floor(kldb10_35_imp/10) 


quietly do "$prog\KldB10-3 (v2020).do"
label values kldb10_3_imp kldb10_3
format %50.0f kldb10_3_imp

tab kldb10_3_imp, m

collapse (mean) HHI_mean_o=HHI_H_35_0 main_share=main (sum) L_35_0_sum=L_35_0, by(kldb10_3_imp)


drop if main_share<=0.5



gsort -HHI_mean_o
*drop if kldb10_2_imp==1

graph hbar HHI_mean_o, over(kldb10_3_imp, label(labsize(tiny))  sort(HHI_mean_o))






decode kldb10_3_imp, gen(string_o)
gen n=_n


replace n = n - 57 if _n>=58

foreach y of numlist 58/114 { 

	
	local bar_hhi_2 : display "`bar_hhi_2' (" HHI_mean_o[`y'] "," n[`y'] ")"
	
	local bar_label_2 : di "`bar_label_2'{" string_o[`y']  "\vphantom{/}},"

	
}

display "`bar_hhi_2''"	
display "`bar_label_2'"	


foreach y of numlist 1/57 { 

	
	local bar_hhi_1 : display "`bar_hhi_1' (" HHI_mean_o[`y'] "," n[`y'] ")"
	
	local bar_label_1 : di "`bar_label_1'{" string_o[`y']  "\vphantom{/}},"

	
}


display "`bar_hhi_1''"	
display "`bar_label_1'"	
	



file open figure_b3 using "$file\Figure B3.tex", write replace
		
	file write figure_b3 "\begin{figure}[!ht]" _n
	file write figure_b3 "\centering" _n
	file write figure_b3 "\caption{Labor Market Concentration by 3-Digit Occupation}" _n
	file write figure_b3 "\label{fig:B3}" _n
	file write figure_b3 "\scalebox{0.80}{" _n
	file write figure_b3 "\begin{tikzpicture}" _n
	file write figure_b3 "\begin{axis}[xbar, bar width=0.2cm, nodes near coords, nodes near coords style = {font=\footnotesize}, nodes near coords style={/pgf/number format/.cd,fixed,fixed zerofill, precision=3}, xlabel={Average HHI}, ylabel={3-Digit Occupation}, xtick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8}, ytick={1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57}, ytick align=inside, height=24cm, width=12cm, grid=major, xmin= -0.025,xmax=0.85, ymajorgrids=false, major grid style = {dotted, /pgfplots/on layer=axis background}, x tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}, y tick label style = {font=\footnotesize},yticklabels={`bar_label_2'}]" _n
	file write figure_b3 "\addplot[color=black,fill=gray] coordinates {`bar_hhi_2'};" _n
	file write figure_b3 "\end{axis}" _n
	file write figure_b3 "\end{tikzpicture}" _n
	file write figure_b3 "}" _n
	file write figure_b3 "\floatfoot{\footnotesize\textsc{Note. ---} The figure displays average labor market concentration by 3-Digit KldB-10 occupations in Germany. Labor market concentration refers to HHI values (based on hiring shares) for pair-wise combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}, and is tracked with annual frequency. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. Source: BEH, 2012-2023.}" _n
	file write figure_b3 "\end{figure}" _n
	file write figure_b3 "" _n
	file write figure_b3 "\clearpage" _n
	file write figure_b3 "" _n
	file write figure_b3 "\begin{figure}[!ht]" _n
	file write figure_b3 "\addtocounter{figure}{-1}" _n
	file write figure_b3 "\centering" _n
	file write figure_b3 "\caption{Labor Market Concentration by 3-Digit Occupation (Cont.)}" _n
	file write figure_b3 "%\label{fig:B3}" _n
	file write figure_b3 "\scalebox{0.80}{" _n
	file write figure_b3 "\begin{tikzpicture}" _n
	file write figure_b3 "\begin{axis}[xbar, bar width=0.2cm, nodes near coords, nodes near coords style = {font=\footnotesize}, nodes near coords style={/pgf/number format/.cd,fixed,fixed zerofill, precision=3}, xlabel={Average HHI}, ylabel={3-Digit Occupation}, xtick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8}, ytick={1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57}, ytick align=inside, height=24cm, width=12cm, grid=major, xmin= -0.025,xmax=0.85, ymajorgrids=false, major grid style = {dotted, /pgfplots/on layer=axis background}, x tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}, y tick label style = {font=\footnotesize},yticklabels={`bar_label_1'}]" _n
	file write figure_b3 "\addplot[color=black,fill=gray] coordinates {`bar_hhi_1'};" _n
	file write figure_b3 "\end{axis}" _n
	file write figure_b3 "\end{tikzpicture}" _n
	file write figure_b3 "}" _n
	file write figure_b3 "\floatfoot{\footnotesize\textsc{Note. ---} The figure displays average labor market concentration by 3-Digit KldB-10 occupations in Germany. Labor market concentration refers to HHI values (based on hiring shares) for pair-wise combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}, and is tracked with annual frequency. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. Source: BEH, 2012-2023.}" _n
	file write figure_b3 "\end{figure}" _n

file close figure_b3















*Figure 5 




use "$data\LMC_kldb_35_0_1223.dta", clear

collapse (mean) HHI_mean_r=HHI_H_35_0, by(ram)

sort ram

save "$data\Map.dta", replace




*save delineation of commuting zones as dataset

use "$data\BeH_1123.dta", clear

keep ram nuts07_3
duplicates drop

drop if ram==.

sort nuts07_3

save "$data\ram.dta", replace




*create map for commuting zones

use "$data\db.dta", clear   

merge n:1 nuts07_3 using "$data\ram.dta", keepusing(ram)
drop _merge


mergepoly mapid using "$data\coord.dta", by(ram) coor("$data\coord_ram.dta") replace 


spmap using "$data\coord_ram.dta", id(mapid) osize(vthin)



*load data

merge m:1 ram using "$data\Map.dta", keepusing(HHI_mean_r)
drop _merge

sum HHI_mean_r, detail

*gen HHI_mean_r_type = .
*replace HHI_mean_r_type = 1 if inrange(HHI_mean_r, 0.094, 0.203)
*replace HHI_mean_r_type = 2 if inrange(HHI_mean_r, 0.203, 0.270)
*replace HHI_mean_r_type = 3 if inrange(HHI_mean_r, 0.270, 0.321)
*replace HHI_mean_r_type = 4 if inrange(HHI_mean_r, 0.321, .)

*tab HHI_mean_r_type, m

*adjust format of variables (for appearance in legend)

format %3.2f HHI_mean_r 



*create map


spmap HHI_mean_r using "$data\coord_ram.dta", id(mapid) clmethod(quantile) clnumber(4) fcolor(Greys) ocolor(black) osize(vthin) legstyle(2) legenda(on) leglabel("Commuting Zones") 
graph export "$fig\Figure_5.pdf", replace
graph export "$fig\Figure_5.png", replace width(1600)

	
	
	
			
*Figure 1		
			
*create map for commuting zones (along with merged districts)

use "$data\db.dta", clear   

merge n:1 nuts07_3 using "$data\ram.dta", keepusing(ram)
drop _merge



*create map

gen shade = (inlist(mapid, 325,16,224,80))
tab shade, m



*spmap using "$data\coord.dta", id(mapid) osize(vthin) 

*spmap shade using "$data\coord.dta", id(mapid) osize(vthin) legenda(off) label(data("$data\db_label.dta") xcoord(_CX) ycoord(_CY) label(label) size(vsmall) color(white))

*spmap using "$data\coord.dta", id(mapid) osize(vthin) polygon( data("$data\coord_ram.dta") ocolor(black) osize(medthick) legenda(on) leglabel("Commuting Zones")) legenda(on) leglabel("Districts") // old manuscript

spmap shade using "$data\coord.dta", id(mapid) clmethod(unique) fcolor(gs14 gs4) ocolor(gs4) osize(vthin) legend(on) polygon( data("$data\coord_ram.dta") ocolor(black) osize(medthick) legenda(on) leglabel("Commuting Zones")) legend(label(1 "Districts") label(2 "Districts") label(3 "Main Cities"))  label(data("$data\db_label.dta") xcoord(_CX) ycoord(_CY) label(label) size(vsmall) color(white)) 
graph export "$fig\Figure_1.pdf", replace
graph export "$fig\Figure_1.png", replace width(1600)
	
	
			
			
*Figure A1

preserve // calculate centroids of regions
	
		use "$data\coord_ram.dta", clear
		bys _ID: gen float TEMPa=(_X*_Y[_n+1])-(_X[_n+1]*_Y) if _n>1 & _n<_N
		bys _ID: gen float _AREA=sum(TEMPa)
		bys _ID: replace _AREA=_AREA[_N]/2
		bys _ID: gen float TEMPx=(_X+_X[_n+1])*(_X*_Y[_n+1]-_X[_n+1]*_Y) if _n>1 & _n<_N
		bys _ID: gen float _CX=sum(TEMPx)
		bys _ID: replace _CX=_CX[_N]/(6*_AREA)
		bys _ID: gen float TEMPy=(_Y+_Y[_n+1])*(_X*_Y[_n+1]-_X[_n+1]*_Y) if _n>1 & _n<_N
		bys _ID: gen float _CY=sum(TEMPy)
		bys _ID: replace _CY=_CY[_N]/(6*_AREA)
		collapse _CX _CY, by(_ID)
		
		rename _ID mapid
		save "$data\coord_ram_centroids.dta", replace
	
		use "$data\db.dta", clear
		
		merge n:1 nuts07_3 using "$data\ram.dta", keepusing(ram)
		drop _merge
		
		label values ram .


		mergepoly mapid using "$data\coord.dta", by(ram) coor("$data\coord_ram.dta") replace 

		
		merge 1:1 mapid using "$data\coord_ram_centroids.dta"
		drop _merge
		
		
		
		replace _CY = 6003487 if mapid==2 // 6001487
		replace _CX = 517361 if mapid==4 // 513361
		replace _CX = 600000 if mapid==6 // 598657.9
		replace _CY = 5780303 if mapid==6 // 5784303
		replace _CY = 5819542 if mapid==7 // 5815542
		replace _CX = 613531.9 if mapid==7 // 615331.9
		replace _CY = 5800745 if mapid==10 // 5816745
		replace _CY = 5762612 if mapid==11 // 5760612
		replace _CX = 646534.5 if mapid==13 // 647734.5
		replace _CX = 533462.8 if mapid==14 // 527862.8
		replace _CY = 5926432 if mapid==14 // 5937432
		replace _CX = 397864.2 if mapid==16 // 393864.2
		replace _CY = 5910818 if mapid==16 // 5915818
		replace _CX = 445071.6 if mapid==18 // 435071.6
		replace _CY = 5790244 if mapid==18 // 5803244
		replace _CX = 425413.8 if mapid==20 // 424413.8
		replace _CY = 5847643 if mapid==21 // 5852643
		replace _CX = 439032.8 if mapid==21 // 434032.8
		replace _CY = 5880378 if mapid==22 // 5875378
		replace _CX = 500497.8 if mapid==22 // 499497.8
		replace _CY = 5945494 if mapid==23 // 5940494
		replace _CX = 310098.4 if mapid==27 // 310398.4
		replace _CY = 5736892 if mapid==27 // 5725892
		replace _CX = 372074.6 if mapid==28 // 369474.6
		replace _CY = 5622097 if mapid==28 // 5612097
		replace _CX = 348493.4 if mapid==29 // 344993.4
		replace _CY = 5642851 if mapid==29 // 5626851
		replace _CX = 403088.2 if mapid==31 // 410088.2
		replace _CY = 5649606 if mapid==31 // 5655606
		replace _CY = 5748799 if mapid==33 // 5758799
		replace _CY = 5520742 if mapid==42 // 5513742
		replace _CY = 5565607 if mapid==43 // 5561607
		replace _CX = 444219.9 if mapid==45 // 438519.9
		replace _CY = 5585892 if mapid==45 // 5569892
		replace _CY = 5610174 if mapid==47 // 5615174
		replace _CX = 493812.1 if mapid==48 // 492212.1
		replace _CX = 416900.9 if mapid==50 // 411387.9
		replace _CY = 5626859 if mapid==50 // 5622859
		replace _CY = 5388252 if mapid==61 // 5390252
		replace _CX = 455323.8 if mapid==65 // 457323.8
		replace _CX = 482700.9 if mapid==66 // 479889.9
		replace _CX = 417028.1 if mapid==68 // 418628.1
		replace _CX = 407313.3 if mapid==72 // 408013.3
		replace _CY = 5283065 if mapid==72 // 5284065
		replace _CY = 5280935 if mapid==73 // 5282935
		replace _CY = 5367212 if mapid==74 // 5364212
		replace _CY = 5359779 if mapid==76 // 5357779
		replace _CY = 5300468 if mapid==77 // 5304468
		replace _CY = 5318663 if mapid==78 // 5320663
		replace _CY = 5310013 if mapid==82 // 5305013
		replace _CX = 815000 if mapid==86 // 822290.4
		replace _CY = 5395766 if mapid==87 // 5399766
		replace _CY = 5432707 if mapid==90 // 5442707
		replace _CX = 645413.8 if mapid==93 // 646413.8
		replace _CX = 710561 if mapid==94 // 718061
		replace _CY = 5569142 if mapid==94 // 5579142
		replace _CX = 671000.9 if mapid==95 // 668824.9
		replace _CY = 5325271 if mapid==104 // 5321271
		replace _CY = 5409395 if mapid==105 // 5407395
		replace _CY = 5287736 if mapid==106 // 5280736
		replace _CY = 5456075 if mapid==108 // 5453075
		replace _CX = 797983.8 if mapid==109 // 818283.8
		replace _CY = 5826701 if mapid==109 // 5813701
		replace _CY = 5725335 if mapid==111 // 5728335
		replace _CY = 5838292 if mapid==112 // 5836292
		replace _CX = 783963.4 if mapid==114 // 782763.4
		replace _CX = 747027.8 if mapid==115 // 744027.8
		replace _CX = 753541.4 if mapid==124 // 759541.4
		replace _CY = 6012595 if mapid==124 // 6022595
		replace _CX = 805782.6 if mapid==125 // 815782.6
		replace _CX = 825238.3 if mapid==127 // 829238.3
		replace _CX = 716785 if mapid==135 // 724785
		replace _CX = 690075.4 if mapid==136 // 690775.4
		replace _CX = 620891.8 if mapid==137 // 630891.8
		replace _CX = 605531.1 if mapid==139 // 609231.1
		
				
				
		save "$data\db_label_ram.dta", replace
					
	restore

spmap using "$data\coord_ram.dta", id(mapid)  ocolor(gs4) osize(vthin) legend(off) label(data("$data\db_label_ram.dta") xcoord(_CX) ycoord(_CY) label(ram) size(tiny) color(black)) 
graph export "$fig\Figure_A1.pdf", replace
graph export "$fig\Figure_A1.png", replace width(1600)
			




	



	

	
	
	
	
	
	
	
	
	
*Table 6



use "$data\BeH_1123.dta", replace 


keep prs_id ieb_fall_id kldb10_35_imp ram year type female educ_imp age foreign parttime_imp nuts07_1

tab educ_imp, m
gen byte s1 = (educ_imp==1) // low education
gen byte s2 = (educ_imp==2) // medium education
gen byte s3 = (educ_imp==3) // high education

gen level = mod(kldb10_35_imp, 10)
tab level, m
gen byte l1 = (level==1) // helper
gen byte l2 = (level==2) // professional
gen byte l3 = (level==3) // specialist
gen byte l4 = (level==4) // expert

tab type, m
gen byte t1 = (type==1 | type==6) // regular/other full-time
gen byte t2 = (type==2 | type==7) // regular/other part-time
gen byte t3 = (type==3)	// marginal part-time 
gen byte t4 = (type==4)	// apprenticeship
gen byte t5 = (type==5) // partial retirement

tab female, m
gen byte g0 = (female==0) // male
gen byte g1 = (female==1) // female


gen age_group = .
replace age_group = 1 if inrange(age, 15, 35)
replace age_group = 2 if inrange(age, 35, 50)
replace age_group = 3 if inrange(age, 50, 65)
tab age_group, m
gen byte a1 = (age_group==1) // younger
gen byte a2 = (age_group==2) // middle age
gen byte a3 = (age_group==3) // older

tab foreign, m
gen byte f0 = (foreign==0) // native
gen byte f1 = (foreign==1) // foreign
	
tab nuts07_1, m	
gen east = .
replace east = 0 if inlist(nuts07_1, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10)	
replace east = 1 if inlist(nuts07_1, 11, 12, 13, 14, 15, 16)		
tab east, m	
gen byte e0 = (east==0) // West Germany
gen byte e1 = (east==1) // East Germany
	
	
keep ieb_fall_id kldb10_35_imp ram year s1 s2 s3 l1 l2 l3 l4 t1 t2 t3 t4 t5 g0 g1 a1 a2 a3 f0 f1 e0 e1 
	
sort kldb10_35_imp ram year	
order kldb10_35_imp ram year	
	
tab year, m	
drop if year==2011
	
collapse (sum) L_35_0_s1=s1 L_35_0_s2=s2 L_35_0_s3=s3 ///
			   L_35_0_l1=l1 L_35_0_l2=l2 L_35_0_l3=l3 L_35_0_l4=l4 ///
			   L_35_0_t1=t1 L_35_0_t2=t2 L_35_0_t3=t3 L_35_0_t4=t4 L_35_0_t5=t5 ///
			   L_35_0_g0=g0 L_35_0_g1=g1 ///
			   L_35_0_a1=a1 L_35_0_a2=a2 L_35_0_a3=a3 ///
			   L_35_0_f0=f0 L_35_0_f1=f1 ///
			   L_35_0_e0=e0 L_35_0_e1=e1, by(kldb10_35_imp ram year)	
				
				
save "$data\L_weight.dta", replace		



				
use "$data\LMC_kldb_35_0_1223.dta", clear		

keep kldb10_35_imp ram year HHI_H_35_0 L_35_0 main	

merge 1:1 kldb10_35_imp ram year using "$data\L_weight.dta"

*br if _merge==1 & L_35_0!=0

foreach x of varlist  L_35_0_s1-L_35_0_e1 {
	
	replace `x' = 0 if _merge==1 & L_35_0!=0
	
}

drop _merge			
			
			
			
foreach x of varlist L_35_0_s1-L_35_0_e1 {
	
	display "`x'"
	sum HHI_H_35_0 [fweight=`x']
				
}			
	
	
	
			



sum HHI_H_35_0 [fweight=L_35_0], detail

	local 1_mean : di %4.3f r(mean)
	local 1_p10  : di %4.3f r(p10)
	local 1_p25  : di %4.3f r(p25)
	local 1_p50  : di %4.3f r(p50)
	local 1_p75  : di %4.3f r(p75)
	local 1_p90  : di %4.3f r(p90)
	local 1_n    : di r(N)
	local 1_N    : di %11.0fc r(N)

	

	gen HHI_H_35_0_ter = .
	replace HHI_H_35_0_ter = 1 if HHI_H_35_0<0.10
	replace HHI_H_35_0_ter = 2 if HHI_H_35_0>=0.10 & HHI_H_35_0<0.20
	replace HHI_H_35_0_ter = 3 if HHI_H_35_0>=0.20
	replace HHI_H_35_0_ter = . if HHI_H_35_0==.


	tab HHI_H_35_0_ter [fweight=L_35_0], matcell(freq)

	matrix list freq
	local 1_med  : di %4.3f freq[2,1] / `1_n'
	local 1_high : di %4.3f freq[3,1] / `1_n'

	*drop HHI_H_35_0_ter
	matrix drop freq

	di "`1_mean'"
	di "`1_p10'"
	di "`1_p25'"
	di "`1_p50'"
	di "`1_p75'"
	di "`1_p90'"
	di "`1_med'"
	di "`1_high'"
	di "`1_N'"






sum HHI_H_35_0, detail 

	local 2_mean : di %4.3f r(mean)
	local 2_p10  : di %4.3f r(p10)
	local 2_p25  : di %4.3f r(p25)
	local 2_p50  : di %4.3f r(p50)
	local 2_p75  : di %4.3f r(p75)
	local 2_p90  : di %4.3f r(p90)
	local 2_n    : di r(N)
	local 2_N    : di %7.0fc r(N)

	count if ( HHI_H_35_0>=0.10 & HHI_H_35_0<0.20 & HHI_H_35_0!=. )
	local 2_med  : di %4.3f r(N) / `2_n'

	count if ( HHI_H_35_0>=0.20 & HHI_H_35_0!=. )
	local 2_high : di %4.3f r(N) / `2_n'

	di "`2_mean'"
	di "`2_p10'"
	di "`2_p25'"
	di "`2_p50'"
	di "`2_p75'"
	di "`2_p90'"
	di "`2_med'"
	di "`2_high'"
	di "`2_N'"


	
	

/*
use "$data\LMC_35_0_1223.dta", clear

sum HHI_H_35_0 [fweight=N_L_35_0], detail


	local 3_mean : di %4.3f r(mean)
	local 3_p10  : di %4.3f r(p10)
	local 3_p25  : di %4.3f r(p25)
	local 3_p50  : di %4.3f r(p50)
	local 3_p75  : di %4.3f r(p75)
	local 3_p90  : di %4.3f r(p90)
	local 3_n    : di r(N)	
	local 3_N    : di %11.0fc r(N)

	gen HHI_H_35_0_ter = .
	replace HHI_H_35_0_ter = 1 if HHI_H_35_0<0.10
	replace HHI_H_35_0_ter = 2 if HHI_H_35_0>=0.10 & HHI_H_35_0<0.20
	replace HHI_H_35_0_ter = 3 if HHI_H_35_0>=0.20
	replace HHI_H_35_0_ter = . if HHI_H_35_0==.

	tab HHI_H_35_0_ter [fweight=N_L_35_0], matcell(freq)

	matrix list freq
	local 3_med  : di %4.3f freq[2,1] / `3_n'
	local 3_high : di %4.3f freq[3,1] / `3_n'

	drop HHI_H_35_0_ter
	matrix drop freq

	di "`3_mean'"
	di "`3_p10'"
	di "`3_p25'"
	di "`3_p50'"
	di "`3_p75'"
	di "`3_p90'"
	di "`3_med'"
	di "`3_high'"
	di "`3_N'"

*/





	
sum HHI_H_35_0 [fweight=L_35_0_l1], detail 

	local 4_mean : di %4.3f r(mean)
	local 4_p10  : di %4.3f r(p10)
	local 4_p25  : di %4.3f r(p25)
	local 4_p50  : di %4.3f r(p50)
	local 4_p75  : di %4.3f r(p75)
	local 4_p90  : di %4.3f r(p90)
	local 4_n    : di r(N)	
	local 4_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_l1], matcell(freq)

	matrix list freq
	local 4_med  : di %4.3f freq[2,1] / `4_n'
	local 4_high : di %4.3f freq[3,1] / `4_n'

	matrix drop freq

	di "`4_mean'"
	di "`4_p10'"
	di "`4_p25'"
	di "`4_p50'"
	di "`4_p75'"
	di "`4_p90'"
	di "`4_med'"
	di "`4_high'"
	di "`4_N'"
	
			


sum HHI_H_35_0 [fweight=L_35_0_l2], detail 

	local 5_mean : di %4.3f r(mean)
	local 5_p10  : di %4.3f r(p10)
	local 5_p25  : di %4.3f r(p25)
	local 5_p50  : di %4.3f r(p50)
	local 5_p75  : di %4.3f r(p75)
	local 5_p90  : di %4.3f r(p90)
	local 5_n    : di r(N)	
	local 5_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_l2], matcell(freq)

	matrix list freq
	local 5_med  : di %4.3f freq[2,1] / `5_n'
	local 5_high : di %4.3f freq[3,1] / `5_n'

	matrix drop freq

	di "`5_mean'"
	di "`5_p10'"
	di "`5_p25'"
	di "`5_p50'"
	di "`5_p75'"
	di "`5_p90'"
	di "`5_med'"
	di "`5_high'"
	di "`5_N'"

	
	
	
	
sum HHI_H_35_0 [fweight=L_35_0_l3], detail 

	local 6_mean : di %4.3f r(mean)
	local 6_p10  : di %4.3f r(p10)
	local 6_p25  : di %4.3f r(p25)
	local 6_p50  : di %4.3f r(p50)
	local 6_p75  : di %4.3f r(p75)
	local 6_p90  : di %4.3f r(p90)
	local 6_n    : di r(N)	
	local 6_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_l3], matcell(freq)

	matrix list freq
	local 6_med  : di %4.3f freq[2,1] / `6_n'
	local 6_high : di %4.3f freq[3,1] / `6_n'

	matrix drop freq

	di "`6_mean'"
	di "`6_p10'"
	di "`6_p25'"
	di "`6_p50'"
	di "`6_p75'"
	di "`6_p90'"
	di "`6_med'"
	di "`6_high'"
	di "`6_N'"
 	
	
	

sum HHI_H_35_0 [fweight=L_35_0_l4], detail 

	local 7_mean : di %4.3f r(mean)
	local 7_p10  : di %4.3f r(p10)
	local 7_p25  : di %4.3f r(p25)
	local 7_p50  : di %4.3f r(p50)
	local 7_p75  : di %4.3f r(p75)
	local 7_p90  : di %4.3f r(p90)
	local 7_n    : di r(N)	
	local 7_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_l4], matcell(freq)

	matrix list freq
	local 7_med  : di %4.3f freq[2,1] / `7_n'
	local 7_high : di %4.3f freq[3,1] / `7_n'

	matrix drop freq

	di "`7_mean'"
	di "`7_p10'"
	di "`7_p25'"
	di "`7_p50'"
	di "`7_p75'"
	di "`7_p90'"
	di "`7_med'"
	di "`7_high'"
	di "`7_N'"
 		
	
	

sum HHI_H_35_0 [fweight=L_35_0_g0], detail 

	local 8_mean : di %4.3f r(mean)
	local 8_p10  : di %4.3f r(p10)
	local 8_p25  : di %4.3f r(p25)
	local 8_p50  : di %4.3f r(p50)
	local 8_p75  : di %4.3f r(p75)
	local 8_p90  : di %4.3f r(p90)
	local 8_n    : di r(N)	
	local 8_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_g0], matcell(freq)

	matrix list freq
	local 8_med  : di %4.3f freq[2,1] / `8_n'
	local 8_high : di %4.3f freq[3,1] / `8_n'

	matrix drop freq

	di "`8_mean'"
	di "`8_p10'"
	di "`8_p25'"
	di "`8_p50'"
	di "`8_p75'"
	di "`8_p90'"
	di "`8_med'"
	di "`8_high'"
	di "`8_N'"
		
	
	
	
	
sum HHI_H_35_0 [fweight=L_35_0_g1], detail 

	local 9_mean : di %4.3f r(mean)
	local 9_p10  : di %4.3f r(p10)
	local 9_p25  : di %4.3f r(p25)
	local 9_p50  : di %4.3f r(p50)
	local 9_p75  : di %4.3f r(p75)
	local 9_p90  : di %4.3f r(p90)
	local 9_n    : di r(N)	
	local 9_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_g1], matcell(freq)

	matrix list freq
	local 9_med  : di %4.3f freq[2,1] / `9_n'
	local 9_high : di %4.3f freq[3,1] / `9_n'

	matrix drop freq

	di "`9_mean'"
	di "`9_p10'"
	di "`9_p25'"
	di "`9_p50'"
	di "`9_p75'"
	di "`9_p90'"
	di "`9_med'"
	di "`9_high'"
	di "`9_N'"
		
	
	

	
sum HHI_H_35_0 [fweight=L_35_0_f0], detail 

	local 10_mean : di %4.3f r(mean)
	local 10_p10  : di %4.3f r(p10)
	local 10_p25  : di %4.3f r(p25)
	local 10_p50  : di %4.3f r(p50)
	local 10_p75  : di %4.3f r(p75)
	local 10_p90  : di %4.3f r(p90)
	local 10_n    : di r(N)	
	local 10_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_f0], matcell(freq)

	matrix list freq
	local 10_med  : di %4.3f freq[2,1] / `10_n'
	local 10_high : di %4.3f freq[3,1] / `10_n'

	matrix drop freq

	di "`10_mean'"
	di "`10_p10'"
	di "`10_p25'"
	di "`10_p50'"
	di "`10_p75'"
	di "`10_p90'"
	di "`10_med'"
	di "`10_high'"
	di "`10_N'"
	
	
	
sum HHI_H_35_0 [fweight=L_35_0_f1], detail 

	local 11_mean : di %4.3f r(mean)
	local 11_p10  : di %4.3f r(p10)
	local 11_p25  : di %4.3f r(p25)
	local 11_p50  : di %4.3f r(p50)
	local 11_p75  : di %4.3f r(p75)
	local 11_p90  : di %4.3f r(p90)
	local 11_n    : di r(N)	
	local 11_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_f1], matcell(freq)

	matrix list freq
	local 11_med  : di %4.3f freq[2,1] / `11_n'
	local 11_high : di %4.3f freq[3,1] / `11_n'

	matrix drop freq

	di "`11_mean'"
	di "`11_p10'"
	di "`11_p25'"
	di "`11_p50'"
	di "`11_p75'"
	di "`11_p90'"
	di "`11_med'"
	di "`11_high'"
	di "`11_N'"
	
		

		
		
		
		

sum HHI_H_35_0 [fweight=L_35_0_e0], detail 

	local 12_mean : di %4.3f r(mean)
	local 12_p10  : di %4.3f r(p10)
	local 12_p25  : di %4.3f r(p25)
	local 12_p50  : di %4.3f r(p50)
	local 12_p75  : di %4.3f r(p75)
	local 12_p90  : di %4.3f r(p90)
	local 12_n    : di r(N)	
	local 12_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_e0], matcell(freq)

	matrix list freq
	local 12_med  : di %4.3f freq[2,1] / `12_n'
	local 12_high : di %4.3f freq[3,1] / `12_n'

	matrix drop freq

	di "`12_mean'"
	di "`12_p10'"
	di "`12_p25'"
	di "`12_p50'"
	di "`12_p75'"
	di "`12_p90'"
	di "`12_med'"
	di "`12_high'"
	di "`12_N'"
	
				
		
sum HHI_H_35_0 [fweight=L_35_0_e1], detail 

	local 13_mean : di %4.3f r(mean)
	local 13_p10  : di %4.3f r(p10)
	local 13_p25  : di %4.3f r(p25)
	local 13_p50  : di %4.3f r(p50)
	local 13_p75  : di %4.3f r(p75)
	local 13_p90  : di %4.3f r(p90)
	local 13_n    : di r(N)	
	local 13_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_e1], matcell(freq)

	matrix list freq
	local 13_med  : di %4.3f freq[2,1] / `13_n'
	local 13_high : di %4.3f freq[3,1] / `13_n'

	matrix drop freq

	di "`13_mean'"
	di "`13_p10'"
	di "`13_p25'"
	di "`13_p50'"
	di "`13_p75'"
	di "`13_p90'"
	di "`13_med'"
	di "`13_high'"
	di "`13_N'"
	
	
	
	
sum HHI_H_35_0 [fweight=L_35_0_t1], detail 

	local 14_mean : di %4.3f r(mean)
	local 14_p10  : di %4.3f r(p10)
	local 14_p25  : di %4.3f r(p25)
	local 14_p50  : di %4.3f r(p50)
	local 14_p75  : di %4.3f r(p75)
	local 14_p90  : di %4.3f r(p90)
	local 14_n    : di r(N)	
	local 14_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_t1], matcell(freq)

	matrix list freq
	local 14_med  : di %4.3f freq[2,1] / `14_n'
	local 14_high : di %4.3f freq[3,1] / `14_n'

	matrix drop freq

	di "`14_mean'"
	di "`14_p10'"
	di "`14_p25'"
	di "`14_p50'"
	di "`14_p75'"
	di "`14_p90'"
	di "`14_med'"
	di "`14_high'"
	di "`14_N'"
		
	

	
sum HHI_H_35_0 [fweight=L_35_0_t2], detail 

	local 15_mean : di %4.3f r(mean)
	local 15_p10  : di %4.3f r(p10)
	local 15_p25  : di %4.3f r(p25)
	local 15_p50  : di %4.3f r(p50)
	local 15_p75  : di %4.3f r(p75)
	local 15_p90  : di %4.3f r(p90)
	local 15_n    : di r(N)	
	local 15_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_t2], matcell(freq)

	matrix list freq
	local 15_med  : di %4.3f freq[2,1] / `15_n'
	local 15_high : di %4.3f freq[3,1] / `15_n'

	matrix drop freq

	di "`15_mean'"
	di "`15_p10'"
	di "`15_p25'"
	di "`15_p50'"
	di "`15_p75'"
	di "`15_p90'"
	di "`15_med'"
	di "`15_high'"
	di "`15_N'"
		
	
	
	
sum HHI_H_35_0 [fweight=L_35_0_t3], detail 

	local 16_mean : di %4.3f r(mean)
	local 16_p10  : di %4.3f r(p10)
	local 16_p25  : di %4.3f r(p25)
	local 16_p50  : di %4.3f r(p50)
	local 16_p75  : di %4.3f r(p75)
	local 16_p90  : di %4.3f r(p90)
	local 16_n    : di r(N)	
	local 16_N    : di %11.0fc r(N)

	tab HHI_H_35_0_ter [fweight=L_35_0_t3], matcell(freq)

	matrix list freq
	local 16_med  : di %4.3f freq[2,1] / `16_n'
	local 16_high : di %4.3f freq[3,1] / `16_n'

	matrix drop freq

	di "`16_mean'"
	di "`16_p10'"
	di "`16_p25'"
	di "`16_p50'"
	di "`16_p75'"
	di "`16_p90'"
	di "`16_med'"
	di "`16_high'"
	di "`16_N'"
		
	
	
	
file open table_6 using "$file\Table 6.tex", write replace
		
	file write table_6 "\begin{landscape}" _n
	file write table_6 "\begin{table}[ht]" _n
	file write table_6 "\centering" _n
	file write table_6 "%\resizebox{\textwidth}{!}{" _n
	file write table_6 "\begin{threeparttable}" _n
	file write table_6 "\caption{Descriptive Statistics for Labor Market Concentration by Worker Characteristics}" _n
	file write table_6 "\label{tab:6}" _n
	file write table_6 "\begin{tabular}{L{7.3cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.5cm}C{1.5cm}C{2.2cm}} \hline" _n
	file write table_6 "\multirow{3.4}{*}{}  & \multirow{3.4}{*}{Mean} & \multirow{3.4}{*}{P10} & \multirow{3.4}{*}{P25} & \multirow{3.4}{*}{P50} &  \multirow{3.4}{*}{P75} &  \multirow{3.4}{*}{P90} &  \multirow{3.4}{*}{\shortstack{Share\vphantom{/} \\ (0.1-0.2)\vphantom{/}}} & \multirow{3.4}{*}{\shortstack{Share\vphantom{/} \\ (0.2-1.0)\vphantom{/} }} & \multirow{3.4}{*}{\shortstack{\!\!Obser- \\ \!\!vations}} \\" _n
	file write table_6 "&   &   &   &   &   &    &   &   & \\" _n
	file write table_6 "&   &   &   &   &   &    &   &   & \\ \hline" _n
	file write table_6 "&   &   &   &   &   &    &   &   & \\[-0.4cm] " _n
	file write table_6 "" _n
	file write table_6 "\textbf{Baseline (Worker-Weighted):}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_6 "" _n
	file write table_6 "\multirow{1}{*}{\shortstack{All Workers}}   & \multirow{1}{*}{`1_mean'}   & \multirow{1}{*}{`1_p10'} & \multirow{1}{*}{`1_p25'}  & \multirow{1}{*}{`1_p50'}  & \multirow{1}{*}{`1_p75'}  & \multirow{1}{*}{`1_p90'} & \multirow{1}{*}{`1_med'}  & \multirow{1}{*}{`1_high'}  &  \multirow{1}{*}{~`1_N'}   \\[0.2cm]  " _n
	file write table_6 "" _n
	file write table_6 "\textbf{By Requirement Level:}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_6 "" _n
	file write table_6 "\multirow{1}{*}{Helpers}   & \multirow{1}{*}{`4_mean'}   & \multirow{1}{*}{`4_p10'} & \multirow{1}{*}{`4_p25'}  & \multirow{1}{*}{`4_p50'}  & \multirow{1}{*}{`4_p75'}  & \multirow{1}{*}{`4_p90'} & \multirow{1}{*}{`4_med'}  & \multirow{1}{*}{`4_high'}  &  \multirow{1}{*}{`4_N'}    \\ " _n
	file write table_6 "" _n
	file write table_6 "\multirow{1}{*}{Professionals}  & \multirow{1}{*}{`5_mean'}   & \multirow{1}{*}{`5_p10'} & \multirow{1}{*}{`5_p25'}  & \multirow{1}{*}{`5_p50'}  & \multirow{1}{*}{`5_p75'}  & \multirow{1}{*}{`5_p90'} & \multirow{1}{*}{`5_med'}  & \multirow{1}{*}{`5_high'}  &  \multirow{1}{*}{`5_N'}    \\  " _n 
	file write table_6 "" _n
	file write table_6 "\multirow{1}{*}{Specialists}  & \multirow{1}{*}{`6_mean'}   & \multirow{1}{*}{`6_p10'} & \multirow{1}{*}{`6_p25'}  & \multirow{1}{*}{`6_p50'}  & \multirow{1}{*}{`6_p75'}  & \multirow{1}{*}{`6_p90'} & \multirow{1}{*}{`6_med'}  & \multirow{1}{*}{`6_high'}  &  \multirow{1}{*}{`6_N'}    \\  " _n 
	file write table_6 "" _n		
	file write table_6 "\multirow{1}{*}{Experts}  & \multirow{1}{*}{`7_mean'}   & \multirow{1}{*}{`7_p10'} & \multirow{1}{*}{`7_p25'}  & \multirow{1}{*}{`7_p50'}  & \multirow{1}{*}{`7_p75'}  & \multirow{1}{*}{`7_p90'} & \multirow{1}{*}{`7_med'}  & \multirow{1}{*}{`7_high'}  &  \multirow{1}{*}{~`7_N'}    \\[0.2cm]  " _n
	file write table_6 "" _n
	file write table_6 "\textbf{By Gender:}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_6 "" _n	
	file write table_6 "\multirow{1}{*}{Male}  & \multirow{1}{*}{`8_mean'}   & \multirow{1}{*}{`8_p10'} & \multirow{1}{*}{`8_p25'}  & \multirow{1}{*}{`8_p50'}  & \multirow{1}{*}{`8_p75'}  & \multirow{1}{*}{`8_p90'} & \multirow{1}{*}{`8_med'}  & \multirow{1}{*}{`8_high'}  &  \multirow{1}{*}{`8_N'}    \\  " _n
	file write table_6 "" _n
	file write table_6 "\multirow{1}{*}{Female}  & \multirow{1}{*}{`9_mean'}   & \multirow{1}{*}{`9_p10'} & \multirow{1}{*}{`9_p25'}  & \multirow{1}{*}{`9_p50'}  & \multirow{1}{*}{`9_p75'}  & \multirow{1}{*}{`9_p90'} & \multirow{1}{*}{`9_med'}  & \multirow{1}{*}{`9_high'}  &  \multirow{1}{*}{~`9_N'}    \\[0.2cm]  " _n
	file write table_6 "" _n
	file write table_6 "\textbf{By Nationality:}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_6 "" _n	
	file write table_6 "\multirow{1}{*}{German}  & \multirow{1}{*}{`10_mean'}   & \multirow{1}{*}{`10_p10'} & \multirow{1}{*}{`10_p25'}  & \multirow{1}{*}{`10_p50'}  & \multirow{1}{*}{`10_p75'}  & \multirow{1}{*}{`10_p90'} & \multirow{1}{*}{`10_med'}  & \multirow{1}{*}{`10_high'}  &  \multirow{1}{*}{`10_N'}    \\  " _n
	file write table_6 "" _n	
	file write table_6 "\multirow{1}{*}{Foreign}  & \multirow{1}{*}{`11_mean'}   & \multirow{1}{*}{`11_p10'} & \multirow{1}{*}{`11_p25'}  & \multirow{1}{*}{`11_p50'}  & \multirow{1}{*}{`11_p75'}  & \multirow{1}{*}{`11_p90'} & \multirow{1}{*}{`11_med'}  & \multirow{1}{*}{`11_high'}  &  \multirow{1}{*}{~`11_N'}    \\[0.2cm]  " _n
	file write table_6 "" _n
	file write table_6 "\textbf{By Region:}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_6 "" _n		
	file write table_6 "\multirow{1}{*}{West Germany}  & \multirow{1}{*}{`12_mean'}   & \multirow{1}{*}{`12_p10'} & \multirow{1}{*}{`12_p25'}  & \multirow{1}{*}{`12_p50'}  & \multirow{1}{*}{`12_p75'}  & \multirow{1}{*}{`12_p90'} & \multirow{1}{*}{`12_med'}  & \multirow{1}{*}{`12_high'}  &  \multirow{1}{*}{`12_N'}    \\  " _n
	file write table_6 "" _n	
	file write table_6 "\multirow{1}{*}{East Germany}  & \multirow{1}{*}{`13_mean'}   & \multirow{1}{*}{`13_p10'} & \multirow{1}{*}{`13_p25'}  & \multirow{1}{*}{`13_p50'}  & \multirow{1}{*}{`13_p75'}  & \multirow{1}{*}{`13_p90'} & \multirow{1}{*}{`13_med'}  & \multirow{1}{*}{`13_high'}  &  \multirow{1}{*}{~`13_N'}    \\[0.2cm]  " _n
	file write table_6 "" _n	
	file write table_6 "\textbf{By Contract Type:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_6 "" _n
	file write table_6 "\multirow{1}{*}{Regular Full-Time}  & \multirow{1}{*}{`14_mean'}   & \multirow{1}{*}{`14_p10'} & \multirow{1}{*}{`14_p25'}  & \multirow{1}{*}{`14_p50'}  & \multirow{1}{*}{`14_p75'}  & \multirow{1}{*}{`14_p90'} & \multirow{1}{*}{`14_med'}  & \multirow{1}{*}{`14_high'}  &  \multirow{1}{*}{`14_N'}   \\ " _n
	file write table_6 "" _n
	file write table_6 "\multirow{1}{*}{Regular Part-Time}   & \multirow{1}{*}{`15_mean'}   & \multirow{1}{*}{`15_p10'} & \multirow{1}{*}{`15_p25'}  & \multirow{1}{*}{`15_p50'}  & \multirow{1}{*}{`15_p75'}  & \multirow{1}{*}{`15_p90'} & \multirow{1}{*}{`15_med'}  & \multirow{1}{*}{`15_high'}  &  \multirow{1}{*}{`15_N'}    \\ " _n
	file write table_6 "" _n	
	file write table_6 "\multirow{1}{*}{Marginal Part-Time}   & \multirow{1}{*}{`16_mean'}   & \multirow{1}{*}{`16_p10'} & \multirow{1}{*}{`16_p25'}  & \multirow{1}{*}{`16_p50'}  & \multirow{1}{*}{`16_p75'}  & \multirow{1}{*}{`16_p90'} & \multirow{1}{*}{`16_med'}  & \multirow{1}{*}{`16_high'}  &  \multirow{1}{*}{`16_N'}    \\ \hline " _n
	file write table_6 "" _n	
	file write table_6 "\end{tabular} " _n
	file write table_6 "\begin{tablenotes}[para] " _n
	file write table_6 "\footnotesize\textsc{Note. ---} The table displays descriptive statistics for labor market concentration by worker characteristics in Germany. Labor markets refer to pair-wise combinations of occupations and commuting zones, and are tracked with annual frequency. The baseline concentration refers to the worker-weighted Herfindahl-Hirschman Index for hiring shares in yearly combinations of 3-digit KldB-2010 occupations (along with their requirement level) and commuting zones from \citet{KosfeldWerner2012}. The requirement level differentiates between jobs for helpers, professionals, specialists, and experts. CZ = Commuting Zone. HHI = Herfindahl-Hirschman Index. KldB = German Classification of Occupations. LAU = Local Administrative Units. NUTS = Statistical Nomenclature of Territorial Units. PX = Xth Percentile. Source: BeH, 2012-2023." _n
	file write table_6 "\end{tablenotes} " _n
	file write table_6 "\end{threeparttable} " _n
	file write table_6 "%} " _n
	file write table_6 "\end{table} " _n
	file write table_6 "\end{landscape}	 " _n
	
file close table_6
	
			
	
	
	
	
	
	
	
	



*Table C1


use "$data\LMC_wz_4_0_1223.dta", clear


count if HHI_H_4_0==1
count if HHI_H_4_0!=.
display 120902 / 608070 // HHI=1: 19.9 percent

sum HHI_H_4_0, detail // mean = 0.435, std = 0.349, p25=0.128, p75=0.716

	local 1_mean : di %4.3f r(mean)
	local 1_p10  : di %4.3f r(p10)
	local 1_p25  : di %4.3f r(p25)
	local 1_p50  : di %4.3f r(p50)
	local 1_p75  : di %4.3f r(p75)
	local 1_p90  : di %4.3f r(p90)	
	local 1_n    : di r(N)
	local 1_N    : di %7.0fc r(N)

	count if ( HHI_H_4_0>=0.10 & HHI_H_4_0<0.20 & HHI_H_4_0!=. )
	local 1_med  : di %4.3f r(N) / `1_n'

	count if ( HHI_H_4_0>=0.20 & HHI_H_4_0!=. )
	local 1_high : di %4.3f r(N) / `1_n'

	di "`1_mean'"
	di "`1_p10'"	
	di "`1_p25'"
	di "`1_p50'"
	di "`1_p75'"
	di "`1_p90'"	
	di "`1_med'"
	di "`1_high'"
	di "`1_n'"
	di "`1_N'"



use "$data\LMC_wz_1_0_1223.dta", clear


sum HHI_H_1_0, detail 

	local 3_mean : di %4.3f r(mean)
	local 3_p10  : di %4.3f r(p10)
	local 3_p25  : di %4.3f r(p25)
	local 3_p50  : di %4.3f r(p50)
	local 3_p75  : di %4.3f r(p75)
	local 3_p90  : di %4.3f r(p90)	
	local 3_min  : di %4.3f r(min)
	local 3_max  : di %4.3f r(max)
	local 3_n    : di r(N)	
	local 3_N    : di %7.0fc r(N)

	count if ( HHI_H_1_0>=0.10 & HHI_H_1_0<0.20 & HHI_H_1_0!=. )
	local 3_med  : di %4.3f r(N) / `3_n'

	count if ( HHI_H_1_0>=0.20 & HHI_H_1_0!=. )
	local 3_high : di %4.3f r(N) / `3_n'

	di "`3_mean'"
	di "`3_p10'"	
	di "`3_p25'"
	di "`3_p50'"
	di "`3_p75'"
	di "`3_p90'"	
	di "`3_med'"
	di "`3_high'"
	di "`3_N'"
	

use "$data\LMC_wz_2_0_1223.dta", clear


sum HHI_H_2_0, detail 

	local 4_mean : di %4.3f r(mean)
	local 4_p10  : di %4.3f r(p10)
	local 4_p25  : di %4.3f r(p25)
	local 4_p50  : di %4.3f r(p50)
	local 4_p75  : di %4.3f r(p75)
	local 4_p90  : di %4.3f r(p90)	
	local 4_min  : di %4.3f r(min)
	local 4_max  : di %4.3f r(max)
	local 4_n    : di r(N)	
	local 4_N    : di %7.0fc r(N)

	count if ( HHI_H_2_0>=0.10 & HHI_H_2_0<0.20 & HHI_H_2_0!=. )
	local 4_med  : di %4.3f r(N) / `4_n'

	count if ( HHI_H_2_0>=0.20 & HHI_H_2_0!=. )
	local 4_high : di %4.3f r(N) / `4_n'

	di "`4_mean'"
	di "`4_p10'"	
	di "`4_p25'"
	di "`4_p50'"
	di "`4_p75'"
	di "`4_p90'"	
	di "`4_med'"
	di "`4_high'"
	di "`4_N'"

	
	
use "$data\LMC_wz_3_0_1223.dta", clear


sum HHI_H_3_0, detail 

	local 5_mean : di %4.3f r(mean)
	local 5_p10  : di %4.3f r(p10)
	local 5_p25  : di %4.3f r(p25)
	local 5_p50  : di %4.3f r(p50)
	local 5_p75  : di %4.3f r(p75)
	local 5_p90  : di %4.3f r(p90)	
	local 5_min  : di %4.3f r(min)
	local 5_max  : di %4.3f r(max)
	local 5_n    : di r(N)	
	local 5_N    : di %7.0fc r(N)

	count if ( HHI_H_3_0>=0.10 & HHI_H_3_0<0.20 & HHI_H_3_0!=. )
	local 5_med  : di %4.3f r(N) / `5_n'

	count if ( HHI_H_3_0>=0.20 & HHI_H_3_0!=. )
	local 5_high : di %4.3f r(N) / `5_n'

	di "`5_mean'"
	di "`5_p10'"	
	di "`5_p25'"
	di "`5_p50'"
	di "`5_p75'"
	di "`5_p90'"	
	di "`5_med'"
	di "`5_high'"
	di "`5_N'"	
	
	
	

use "$data\LMC_wz_5_0_1223.dta", clear


sum HHI_H_5_0, detail 

	local 6_mean : di %4.3f r(mean)
	local 6_p10  : di %4.3f r(p10)
	local 6_p25  : di %4.3f r(p25)
	local 6_p50  : di %4.3f r(p50)
	local 6_p75  : di %4.3f r(p75)
	local 6_p90  : di %4.3f r(p90)	
	local 6_min  : di %4.3f r(min)
	local 6_max  : di %4.3f r(max)
	local 6_n    : di r(N)	
	local 6_N    : di %9.0fc r(N)

	count if ( HHI_H_5_0>=0.10 & HHI_H_5_0<0.20 & HHI_H_5_0!=. )
	local 6_med  : di %4.3f r(N) / `6_n'

	count if ( HHI_H_5_0>=0.20 & HHI_H_5_0!=. )
	local 6_high : di %4.3f r(N) / `6_n'

	di "`6_mean'"
	di "`6_p10'"	
	di "`6_p25'"
	di "`6_p50'"
	di "`6_p75'"
	di "`6_p90'"	
	di "`6_med'"
	di "`6_high'"
	di "`6_N'"	
	
	
	
	
	
	
	
use "$data\LMC_wz_4_1_1223.dta", clear




sum HHI_H_4_1, detail 

	local 7_mean : di %4.3f r(mean)
	local 7_p10  : di %4.3f r(p10)
	local 7_p25  : di %4.3f r(p25)
	local 7_p50  : di %4.3f r(p50)
	local 7_p75  : di %4.3f r(p75)
	local 7_p90  : di %4.3f r(p90)	
	local 7_min  : di %4.3f r(min)
	local 7_max  : di %4.3f r(max)
	local 7_n    : di r(N)
	local 7_N    : di %7.0fc r(N)

	count if ( HHI_H_4_1>=0.10 & HHI_H_4_1<0.20 & HHI_H_4_1!=. )
	local 7_med  : di %4.3f r(N) / `7_n'

	count if ( HHI_H_4_1>=0.20 & HHI_H_4_1!=. )
	local 7_high : di %4.3f r(N) / `7_n'

	di "`7_mean'"
	di "`7_p10'"	
	di "`7_p25'"
	di "`7_p50'"
	di "`7_p75'"
	di "`7_p90'"	
	di "`7_med'"
	di "`7_high'"
	di "`7_N'"

	
	
use "$data\LMC_wz_4_2_1223.dta", clear


sum HHI_H_4_2, detail 

	local 8_mean : di %4.3f r(mean)
	local 8_p10  : di %4.3f r(p10)
	local 8_p25  : di %4.3f r(p25)
	local 8_p50  : di %4.3f r(p50)
	local 8_p75  : di %4.3f r(p75)
	local 8_p90  : di %4.3f r(p90)	
	local 8_min  : di %4.3f r(min)
	local 8_max  : di %4.3f r(max)
	local 8_n    : di r(N)
	local 8_N    : di %7.0fc r(N)

	count if ( HHI_H_4_2>=0.10 & HHI_H_4_2<0.20 & HHI_H_4_2!=. )
	local 8_med  : di %4.3f r(N) / `8_n'

	count if ( HHI_H_4_2>=0.20 & HHI_H_4_2!=. )
	local 8_high : di %4.3f r(N) / `8_n'

	di "`8_mean'"
	di "`8_p10'"	
	di "`8_p25'"
	di "`8_p50'"
	di "`8_p75'"
	di "`8_p90'"	
	di "`8_med'"
	di "`8_high'"
	di "`8_N'"
	
	
	
	
	

use "$data\LMC_wz_4_3_1223.dta", clear


sum HHI_H_4_3, detail 

	local 9_mean : di %4.3f r(mean)
	local 9_p10  : di %4.3f r(p10)
	local 9_p25  : di %4.3f r(p25)
	local 9_p50  : di %4.3f r(p50)
	local 9_p75  : di %4.3f r(p75)
	local 9_p90  : di %4.3f r(p90)	
	local 9_min  : di %4.3f r(min)
	local 9_max  : di %4.3f r(max)
	local 9_n    : di r(N)
	local 9_N    : di %9.0fc r(N)

	count if ( HHI_H_4_3>=0.10 & HHI_H_4_3<0.20 & HHI_H_4_3!=. )
	local 9_med  : di %4.3f r(N) / `9_n'

	count if ( HHI_H_4_3>=0.20 & HHI_H_4_3!=. )
	local 9_high : di %4.3f r(N) / `9_n'

	di "`9_mean'"
	di "`9_p10'"	
	di "`9_p25'"
	di "`9_p50'"
	di "`9_p75'"
	di "`9_p90'"	
	di "`9_med'"
	di "`9_high'"
	di "`9_N'"
	
	
	
	

	

use "$data\LMC_wz_4_4_1223.dta", clear


sum HHI_H_4_4, detail 

	local 10_mean : di %4.3f r(mean)
	local 10_p10  : di %4.3f r(p10)
	local 10_p25  : di %4.3f r(p25)
	local 10_p50  : di %4.3f r(p50)
	local 10_p75  : di %4.3f r(p75)
	local 10_p90  : di %4.3f r(p90)	
	local 10_min  : di %4.3f r(min)
	local 10_max  : di %4.3f r(max)
	local 10_n    : di r(N)
	local 10_N    : di %9.0fc r(N)

	count if ( HHI_H_4_4>=0.10 & HHI_H_4_4<0.20 & HHI_H_4_4!=. )
	local 10_med  : di %4.3f r(N) / `10_n'

	count if ( HHI_H_4_4>=0.20 & HHI_H_4_4!=. )
	local 10_high : di %4.3f r(N) / `10_n'

	di "`10_mean'"
	di "`10_p10'"	
	di "`10_p25'"
	di "`10_p50'"
	di "`10_p75'"
	di "`10_p90'"	
	di "`10_med'"
	di "`10_high'"
	di "`10_N'"	
	
	
	
	

	


use "$data\LMC_wz_4_0_1223.dta", clear


sum HHI_L_4_0, detail 

	local 12_mean : di %4.3f r(mean)
	local 12_p10  : di %4.3f r(p10)
	local 12_p25  : di %4.3f r(p25)
	local 12_p50  : di %4.3f r(p50)
	local 12_p75  : di %4.3f r(p75)
	local 12_p90  : di %4.3f r(p90)	
	local 12_min  : di %4.3f r(min)
	local 12_max  : di %4.3f r(max)
	local 12_n    : di r(N)
	local 12_N    : di %7.0fc r(N)

	count if ( HHI_L_4_0>=0.10 & HHI_L_4_0<0.20 & HHI_L_4_0!=. )
	local 12_med  : di %4.3f r(N) / `12_n'

	count if ( HHI_L_4_0>=0.20 & HHI_L_4_0!=. )
	local 12_high : di %4.3f r(N) / `12_n'

	di "`12_mean'"
	di "`12_p10'"	
	di "`12_p25'"
	di "`12_p50'"
	di "`12_p75'"
	di "`12_p90'"	
	di "`12_med'"
	di "`12_high'"
	di "`12_N'"	
		

		
		
		
		
use "$data\LMC_wz_4_0_1223.dta", clear


sum HHI_W_4_0, detail 

	local 13_mean : di %4.3f r(mean)
	local 13_p10  : di %4.3f r(p10)
	local 13_p25  : di %4.3f r(p25)
	local 13_p50  : di %4.3f r(p50)
	local 13_p75  : di %4.3f r(p75)
	local 13_p90  : di %4.3f r(p90)	
	local 13_min  : di %4.3f r(min)
	local 13_max  : di %4.3f r(max)
	local 13_n    : di r(N)
	local 13_N    : di %7.0fc r(N)

	count if ( HHI_W_4_0>=0.10 & HHI_W_4_0<0.20 & HHI_W_4_0!=. )
	local 13_med  : di %4.3f r(N) / `13_n'

	count if ( HHI_W_4_0>=0.20 & HHI_W_4_0!=. )
	local 13_high : di %4.3f r(N) / `13_n'

	di "`13_mean'"
	di "`13_p10'"	
	di "`13_p25'"
	di "`13_p50'"
	di "`13_p75'"
	di "`13_p90'"	
	di "`13_med'"
	di "`13_high'"
	di "`13_N'"			
		
		
		
		
		

		
use "$data\LMC_wz_4_0_1223.dta", clear


sum INS_H_4_0, detail 

	local 14_mean : di %4.3f r(mean)
	local 14_p10  : di %4.3f r(p10)
	local 14_p25  : di %4.3f r(p25)
	local 14_p50  : di %4.3f r(p50)
	local 14_p75  : di %4.3f r(p75)
	local 14_p90  : di %4.3f r(p90)	
	local 14_min  : di %4.3f r(min)
	local 14_max  : di %4.3f r(max)
	local 14_n    : di r(N)
	local 14_N    : di %7.0fc r(N)

	count if ( INS_H_4_0>=0.10 & INS_H_4_0<0.20 & INS_H_4_0!=. )
	local 14_med  : di %4.3f r(N) / `14_n'

	count if ( INS_H_4_0>=0.20 & INS_H_4_0!=. )
	local 14_high : di %4.3f r(N) / `14_n'

	di "`14_mean'"
	di "`14_p10'"	
	di "`14_p25'"
	di "`14_p50'"
	di "`14_p75'"
	di "`14_p90'"	
	di "`14_med'"
	di "`14_high'"
	di "`14_N'"			
				
		
	
	
use "$data\LMC_wz_4_0_1223.dta", clear


sum CR1_H_4_0, detail 

	local 15_mean : di %4.3f r(mean)
	local 15_p10  : di %4.3f r(p10)
	local 15_p25  : di %4.3f r(p25)
	local 15_p50  : di %4.3f r(p50)
	local 15_p75  : di %4.3f r(p75)
	local 15_p90  : di %4.3f r(p90)	
	local 15_min  : di %4.3f r(min)
	local 15_max  : di %4.3f r(max)
	local 15_n    : di r(N)
	local 15_N    : di %7.0fc r(N)

	count if ( CR1_H_4_0>=0.10 & CR1_H_4_0<0.20 & CR1_H_4_0!=. )
	local 15_med  : di %4.3f r(N) / `15_n'

	count if ( CR1_H_4_0>=0.20 & CR1_H_4_0!=. )
	local 15_high : di %4.3f r(N) / `15_n'

	di "`15_mean'"
	di "`15_p10'"	
	di "`15_p25'"
	di "`15_p50'"
	di "`15_p75'"
	di "`15_p90'"	
	di "`15_med'"
	di "`15_high'"	
	di "`15_N'"			
					
	
	
	
	
use "$data\LMC_wz_4_0_1223.dta", clear


sum CR3_H_4_0, detail 

	local 16_mean : di %4.3f r(mean)
	local 16_p10  : di %4.3f r(p10)
	local 16_p25  : di %4.3f r(p25)
	local 16_p50  : di %4.3f r(p50)
	local 16_p75  : di %4.3f r(p75)
	local 16_p90  : di %4.3f r(p90)	
	local 16_min  : di %4.3f r(min)
	local 16_max  : di %4.3f r(max)
	local 16_n    : di r(N)
	local 16_N    : di %7.0fc r(N)

	count if ( CR3_H_4_0>=0.10 & CR3_H_4_0<0.20 & CR3_H_4_0!=. )
	local 16_med  : di %4.3f r(N) / `16_n'

	count if ( CR3_H_4_0>=0.20 & CR3_H_4_0!=. )
	local 16_high : di %4.3f r(N) / `16_n'

	di "`16_mean'"
	di "`16_p10'"	
	di "`16_p25'"
	di "`16_p50'"
	di "`16_p75'"
	di "`16_p90'"	
	di "`16_med'"
	di "`16_high'"	
	di "`16_N'"			
					
	

use "$data\LMC_wz_4_0_1223.dta", clear


sum CR5_H_4_0, detail 

	local 17_mean : di %4.3f r(mean)
	local 17_p10  : di %4.3f r(p10)
	local 17_p25  : di %4.3f r(p25)
	local 17_p50  : di %4.3f r(p50)
	local 17_p75  : di %4.3f r(p75)
	local 17_p90  : di %4.3f r(p90)	
	local 17_min  : di %4.3f r(min)
	local 17_max  : di %4.3f r(max)
	local 17_n    : di r(N)
	local 17_N    : di %7.0fc r(N)


	count if ( CR5_H_4_0>=0.10 & CR5_H_4_0<0.20 & CR5_H_4_0!=. )
	local 17_med  : di %4.3f r(N) / `17_n'

	count if ( CR5_H_4_0>=0.20 & CR5_H_4_0!=. )
	local 17_high : di %4.3f r(N) / `17_n'

	di "`17_mean'"
	di "`17_p10'"	
	di "`17_p25'"
	di "`17_p50'"
	di "`17_p75'"
	di "`17_p90'"	
	di "`17_med'"
	di "`17_high'"	
	di "`17_N'"			
						
	



	
	
file open table_c1 using "$file\Table C1.tex", write replace
		
	file write table_c1 "\begin{landscape}" _n
	file write table_c1 "\begin{table}[ht]" _n
	file write table_c1 "\centering" _n
	file write table_c1 "%\resizebox{\textwidth}{!}{" _n
	file write table_c1 "\begin{threeparttable}" _n
	file write table_c1 "\caption{Descriptive Statistics for Labor Market Concentration (in Terms of Industry)}" _n
	file write table_c1 "\label{tab:C1}" _n
	file write table_c1 "\small" _n	
	file write table_c1 "\begin{tabular}{L{7.3cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.25cm}C{1.5cm}C{1.5cm}C{2.2cm}} \hline" _n
	file write table_c1 "\multirow{3.4}{*}{}  & \multirow{3.4}{*}{Mean} & \multirow{3.4}{*}{P10} & \multirow{3.4}{*}{P25} & \multirow{3.4}{*}{P50} &  \multirow{3.4}{*}{P75} &  \multirow{3.4}{*}{P90} &  \multirow{3.4}{*}{\shortstack{Share\vphantom{/} \\ (0.1-0.2)\vphantom{/}}} & \multirow{3.4}{*}{\shortstack{Share\vphantom{/} \\ (0.2-1.0)\vphantom{/} }} & \multirow{3.4}{*}{\shortstack{\!\!Obser- \\ \!\!vations}} \\" _n
	file write table_c1 "&   &   &   &   &   &    &   &   & \\" _n
	file write table_c1 "&   &   &   &   &   &    &   &   & \\ \hline" _n
	file write table_c1 "&   &   &   &   &   &    &   &   & \\[-0.3cm] " _n
	file write table_c1 "" _n
	file write table_c1 "\textbf{Baseline:}  &   &   &   &   &   &    &   &   & \\ " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{2.4}{*}{\shortstack[l]{HHI, Hires, Commuting Zone \vphantom{/} \\  4-Digit WZ-08 (Class) \vphantom{/}}}   & \multirow{2.4}{*}{`1_mean'}   & \multirow{2.4}{*}{`1_p10'} & \multirow{3.4}{*}{`1_p25'}  & \multirow{2.4}{*}{`1_p50'}  & \multirow{2.4}{*}{`1_p75'}  & \multirow{2.4}{*}{`1_p90'} & \multirow{2.4}{*}{`1_med'}  & \multirow{2.4}{*}{`1_high'}  &  \multirow{2.4}{*}{~`1_N'}   \\[0.2cm]  " _n
	file write table_c1 "&   &   &   &   &   &    &   &   & \\" _n	
	file write table_c1 "\textbf{Alternative Industrial Dimension:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{1-Digit WZ-08 (Section)}   & \multirow{1}{*}{`3_mean'}   & \multirow{1}{*}{`3_p10'} & \multirow{1}{*}{`3_p25'}  & \multirow{1}{*}{`3_p50'}  & \multirow{1}{*}{`3_p75'}  & \multirow{1}{*}{`3_p90'} & \multirow{1}{*}{`3_med'}  & \multirow{1}{*}{`3_high'}  &  \multirow{1}{*}{`3_N'}    \\ " _n
	file write table_c1 "" _n	
	file write table_c1 "\multirow{1}{*}{2-Digit WZ-08 (Division)}   & \multirow{1}{*}{`4_mean'}   & \multirow{1}{*}{`4_p10'} & \multirow{1}{*}{`4_p25'}  & \multirow{1}{*}{`4_p50'}  & \multirow{1}{*}{`4_p75'}  & \multirow{1}{*}{`4_p90'} & \multirow{1}{*}{`4_med'}  & \multirow{1}{*}{`4_high'}  &  \multirow{1}{*}{`4_N'}    \\ " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{3-Digit WZ-08 (Group)}  & \multirow{1}{*}{`5_mean'}   & \multirow{1}{*}{`5_p10'} & \multirow{1}{*}{`5_p25'}  & \multirow{1}{*}{`5_p50'}  & \multirow{1}{*}{`5_p75'}  & \multirow{1}{*}{`5_p90'} & \multirow{1}{*}{`5_med'}  & \multirow{1}{*}{`5_high'}  &  \multirow{1}{*}{`5_N'}    \\  " _n 
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{5-Digit WZ-08 (Sub-Class)}  & \multirow{1}{*}{`6_mean'}   & \multirow{1}{*}{`6_p10'} & \multirow{1}{*}{`6_p25'}  & \multirow{1}{*}{`6_p50'}  & \multirow{1}{*}{`6_p75'}  & \multirow{1}{*}{`6_p90'} & \multirow{1}{*}{`6_med'}  & \multirow{1}{*}{`6_high'}  &  \multirow{1}{*}{~`6_N'}    \\[0.2cm]  " _n 
	file write table_c1 "" _n	
	file write table_c1 "\textbf{Alternative Spatial Dimension:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_c1 "" _n	
	file write table_c1 "\multirow{1}{*}{NUTS-1 (Federal State)}  & \multirow{1}{*}{`7_mean'}   & \multirow{1}{*}{`7_p10'} & \multirow{1}{*}{`7_p25'}  & \multirow{1}{*}{`7_p50'}  & \multirow{1}{*}{`7_p75'}  & \multirow{1}{*}{`7_p90'} & \multirow{1}{*}{`7_med'}  & \multirow{1}{*}{`7_high'}  &  \multirow{1}{*}{`7_N'}    \\  " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{NUTS-2 (Government Region)}  & \multirow{1}{*}{`8_mean'}   & \multirow{1}{*}{`8_p10'} & \multirow{1}{*}{`8_p25'}  & \multirow{1}{*}{`8_p50'}  & \multirow{1}{*}{`8_p75'}  & \multirow{1}{*}{`8_p90'} & \multirow{1}{*}{`8_med'}  & \multirow{1}{*}{`8_high'}  &  \multirow{1}{*}{`8_N'}    \\  " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{NUTS-3 (District)}  & \multirow{1}{*}{`9_mean'}   & \multirow{1}{*}{`9_p10'} & \multirow{1}{*}{`9_p25'}  & \multirow{1}{*}{`9_p50'}  & \multirow{1}{*}{`9_p75'}  & \multirow{1}{*}{`9_p90'} & \multirow{1}{*}{`9_med'}  & \multirow{1}{*}{`9_high'}  &  \multirow{1}{*}{`9_N'}    \\  " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{LAU (Municipality)}  & \multirow{1}{*}{`10_mean'}   & \multirow{1}{*}{`10_p10'} & \multirow{1}{*}{`10_p25'}  & \multirow{1}{*}{`10_p50'}  & \multirow{1}{*}{`10_p75'}  & \multirow{1}{*}{`10_p90'} & \multirow{1}{*}{`10_med'}  & \multirow{1}{*}{`10_high'}  &  \multirow{1}{*}{~`10_N'}    \\[0.2cm]  " _n
	file write table_c1 "" _n	
	file write table_c1 "\textbf{Alternative Measure of Firm Size:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{Employment}  & \multirow{1}{*}{`12_mean'}   & \multirow{1}{*}{`12_p10'} & \multirow{1}{*}{`12_p25'}  & \multirow{1}{*}{`12_p50'}  & \multirow{1}{*}{`12_p75'}  & \multirow{1}{*}{`12_p90'} & \multirow{1}{*}{`12_med'}  & \multirow{1}{*}{`12_high'}  &  \multirow{1}{*}{`12_N'}    \\  " _n
	file write table_c1 "" _n	
	file write table_c1 "\multirow{1}{*}{Wage Bill}  & \multirow{1}{*}{`13_mean'}   & \multirow{1}{*}{`13_p10'} & \multirow{1}{*}{`13_p25'}  & \multirow{1}{*}{`13_p50'}  & \multirow{1}{*}{`13_p75'}  & \multirow{1}{*}{`13_p90'} & \multirow{1}{*}{`13_med'}  & \multirow{1}{*}{`13_high'}  &  \multirow{1}{*}{~`13_N'}    \\[0.2cm]  " _n
	file write table_c1 "" _n	
	file write table_c1 "\textbf{Alternative Concentration Index:}  &  &   &   &   &   &    &   &   & \\ " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{Inverse Number of Firms}  & \multirow{1}{*}{`14_mean'}   & \multirow{1}{*}{`14_p10'} & \multirow{1}{*}{`14_p25'}  & \multirow{1}{*}{`14_p50'}  & \multirow{1}{*}{`14_p75'}  & \multirow{1}{*}{`14_p90'} & \multirow{1}{*}{`14_med'}  & \multirow{1}{*}{`14_high'}  &  \multirow{1}{*}{`14_N'}   \\ " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{1-Firm Concentration Ratio}   & \multirow{1}{*}{`15_mean'}   & \multirow{1}{*}{`15_p10'} & \multirow{1}{*}{`15_p25'}  & \multirow{1}{*}{`15_p50'}  & \multirow{1}{*}{`15_p75'} & \multirow{1}{*}{`15_p90'} & \multirow{1}{*}{`15_med'}  & \multirow{1}{*}{`15_high'}  &  \multirow{1}{*}{`15_N'}    \\ " _n
	file write table_c1 "" _n	
	file write table_c1 "\multirow{1}{*}{3-Firm Concentration Ratio}   & \multirow{1}{*}{`16_mean'}   & \multirow{1}{*}{`16_p10'} & \multirow{1}{*}{`16_p25'}  & \multirow{1}{*}{`16_p50'}  & \multirow{1}{*}{`16_p75'} & \multirow{1}{*}{`16_p90'} & \multirow{1}{*}{`16_med'}  & \multirow{1}{*}{`16_high'}  &  \multirow{1}{*}{`16_N'}    \\ " _n
	file write table_c1 "" _n
	file write table_c1 "\multirow{1}{*}{5-Firm Concentration Ratio}   & \multirow{1}{*}{`17_mean'}   & \multirow{1}{*}{`17_p10'} & \multirow{1}{*}{`17_p25'}  & \multirow{1}{*}{`17_p50'}  & \multirow{1}{*}{`17_p75'} & \multirow{1}{*}{`17_p90'} & \multirow{1}{*}{`17_med'}  & \multirow{1}{*}{`17_high'}  &  \multirow{1}{*}{`17_N'}    \\ \hline " _n
	file write table_c1 "" _n	
	file write table_c1 "\end{tabular} " _n
	file write table_c1 "\begin{tablenotes}[para] " _n
	file write table_c1 "\footnotesize\textsc{Note. ---} The table displays descriptive statistics for labor market concentration in Germany. Labor markets refer to pair-wise combinations of industries and commuting zones, and are tracked with annual frequency. The baseline concentration refers to the market-level Herfindahl-Hirschman Index for hiring shares in yearly combinations of 4-digit WZ-2008 industries and commuting zones from \citet{KosfeldWerner2012}. HHI = Herfindahl-Hirschman Index. WZ = German Classification of Economic Activities. LAU = Local Administrative Units. NUTS = Statistical Nomenclature of Territorial Units. PX = Xth Percentile. Source: BEH, 2012-2023." _n
	file write table_c1 "\end{tablenotes} " _n
	file write table_c1 "\end{threeparttable} " _n
	file write table_c1 "%} " _n
	file write table_c1 "\end{table} " _n
	file write table_c1 "\end{landscape}	 " _n
	
file close table_c1
	
	
	








*Figure C1


use "$data\LMC_wz_4_0_1223.dta", clear


gen wz08_2_imp = floor(wz08_4_imp/100) 

quietly do "$prog\WZ08-2.do"
label values wz08_2_imp wz08_2
format %50.0f wz08_2_imp

tab wz08_2_imp, m


gen wz08_1_imp = . 
replace wz08_1_imp =  1 if wz08_2_imp>= 1 & wz08_2_imp<= 3 // A
replace wz08_1_imp =  2 if wz08_2_imp>= 5 & wz08_2_imp<= 9 // B
replace wz08_1_imp =  3 if wz08_2_imp>=10 & wz08_2_imp<=12 // CA
replace wz08_1_imp =  4 if wz08_2_imp>=13 & wz08_2_imp<=15 // CB
replace wz08_1_imp =  5 if wz08_2_imp>=16 & wz08_2_imp<=18 // CC
replace wz08_1_imp =  6 if wz08_2_imp==19 // CD
replace wz08_1_imp =  7 if wz08_2_imp==20 // CE
replace wz08_1_imp =  8 if wz08_2_imp==21 // CF
replace wz08_1_imp =  9 if wz08_2_imp>=22 & wz08_2_imp<=23 // CG
replace wz08_1_imp = 10 if wz08_2_imp>=24 & wz08_2_imp<=25 // CH
replace wz08_1_imp = 11 if wz08_2_imp==26 // CI
replace wz08_1_imp = 12 if wz08_2_imp==27 // CJ
replace wz08_1_imp = 13 if wz08_2_imp==28 // CK
replace wz08_1_imp = 14 if wz08_2_imp>=29 & wz08_2_imp<=30 // CL
replace wz08_1_imp = 15 if wz08_2_imp>=31 & wz08_2_imp<=33 // CM
replace wz08_1_imp = 16 if wz08_2_imp==35  // D
replace wz08_1_imp = 17 if wz08_2_imp>=36 & wz08_2_imp<=39 // E
replace wz08_1_imp = 18 if wz08_2_imp>=41 & wz08_2_imp<=43 // F
replace wz08_1_imp = 19 if wz08_2_imp>=45 & wz08_2_imp<=47 // G
replace wz08_1_imp = 20 if wz08_2_imp>=49 & wz08_2_imp<=53 // H
replace wz08_1_imp = 21 if wz08_2_imp>=55 & wz08_2_imp<=56 // I
replace wz08_1_imp = 22 if wz08_2_imp>=58 & wz08_2_imp<=60 // JA
replace wz08_1_imp = 23 if wz08_2_imp==61 // JB
replace wz08_1_imp = 24 if wz08_2_imp>=62 & wz08_2_imp<=63 // JC
replace wz08_1_imp = 25 if wz08_2_imp>=64 & wz08_2_imp<=66 // K
replace wz08_1_imp = 26 if wz08_2_imp==68 // L
replace wz08_1_imp = 27 if wz08_2_imp>=69 & wz08_2_imp<=71 // MA
replace wz08_1_imp = 28 if wz08_2_imp==72 // MB
replace wz08_1_imp = 29 if wz08_2_imp>=73 & wz08_2_imp<=75 // MC
replace wz08_1_imp = 30 if wz08_2_imp>=77 & wz08_2_imp<=82 // N
replace wz08_1_imp = 31 if wz08_2_imp==84 // O
replace wz08_1_imp = 32 if wz08_2_imp==85 // P
replace wz08_1_imp = 33 if wz08_2_imp==86 // QA
replace wz08_1_imp = 34 if wz08_2_imp>=87 & wz08_2_imp<=88 // QB
replace wz08_1_imp = 35 if wz08_2_imp>=90 & wz08_2_imp<=93 // R
replace wz08_1_imp = 36 if wz08_2_imp>=94 & wz08_2_imp<=96 // S
replace wz08_1_imp = 37 if wz08_2_imp>=97 & wz08_2_imp<=98 // T
replace wz08_1_imp = 38 if wz08_2_imp==99 // U

quietly do "$prog\WZ08-1c.do"
label values wz08_1_imp wz08_1c
format %50.0f wz08_1_imp

tab wz08_1_imp, m

collapse (mean) HHI_mean_i=HHI_H_4_0 main_share=main (sum) L_4_0_sum=L_4_0, by(wz08_1_imp)


drop if main_share<=0.5

gsort -HHI_mean_i

graph hbar HHI_mean_i, over(wz08_1_imp, label(labsize(tiny))  sort(HHI_mean_i))






decode wz08_1_imp, gen(string_i)
gen n=_n



foreach y of numlist 1/31 { 

	
	local bar_hhi : display "`bar_hhi' (" HHI_mean_i[`y'] "," n[`y'] ")"
	
	local bar_label : di "`bar_label'{" string_i[`y']  "\vphantom{/}},"

	
}


display "`bar_hhi''"	
display "`bar_label'"	
	



file open figure_c1 using "$file\Figure C1.tex", write replace
		
	file write figure_c1 "\begin{figure}[!ht]" _n
	file write figure_c1 "\centering" _n
	file write figure_c1 "\caption{Labor Market Concentration by 1-Digit Industry}" _n
	file write figure_c1 "\label{fig:C1}" _n
	file write figure_c1 "\scalebox{0.80}{" _n
	file write figure_c1 "\begin{tikzpicture}" _n
	file write figure_c1 "\begin{axis}[xbar, bar width=0.2cm, nodes near coords, nodes near coords style = {font=\footnotesize}, nodes near coords style={/pgf/number format/.cd,fixed,fixed zerofill, precision=3}, xlabel={Average HHI}, ylabel={1-Digit Industry}, xtick={0,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9}, ytick={1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31}, ytick align=inside, height=12cm, width=12cm, grid=major, xmin= -0.025,xmax=0.925, ymajorgrids=false, major grid style = {dotted, /pgfplots/on layer=axis background}, x tick label style={/pgf/number format/.cd,fixed,fixed zerofill, precision=1,/tikz/.cd}, y tick label style = {font=\footnotesize},yticklabels={`bar_label'}]" _n
	file write figure_c1 "\addplot[color=black,fill=gray] coordinates {`bar_hhi'};" _n
	file write figure_c1 "\end{axis}" _n
	file write figure_c1 "\end{tikzpicture}" _n
	file write figure_c1 "}" _n
	file write figure_c1 "\floatfoot{\footnotesize\textsc{Note. ---} The figure displays average labor market concentration by 1-digit WZ-08 industries in Germany. Labor market concentration refers to HHI values (based on hiring shares) for pair-wise combinations of 4-digit WZ-2008 industries and commuting zones from \citet{KosfeldWerner2012}, and is tracked with annual frequency. HHI = Herfindahl-Hirschman Index. WZ = German Classification of Economic Activities. Source: BEH, 2012-2023.}" _n
	file write figure_c1 "\end{figure}" _n

file close figure_c1









*Figure C2





use "$data\LMC_wz_4_0_1223.dta", clear

collapse (mean) HHI_mean_r=HHI_H_4_0, by(ram)

sort ram

save "$data\Map_wz.dta", replace



/*
*save delineation of commuting zones as dataset

use "$data\BeH_1123.dta", clear

keep ram nuts07_3
duplicates drop

drop if ram==.

sort nuts07_3

save "$data\ram.dta", replace
*/



*create map for commuting zones

use "$data\db.dta", clear   

merge n:1 nuts07_3 using "$data\ram.dta", keepusing(ram)
drop _merge


mergepoly mapid using "$data\coord.dta", by(ram) coor("$data\coord_ram.dta") replace 


spmap using "$data\coord_ram.dta", id(mapid) osize(vthin)



*load data

merge m:1 ram using "$data\Map_wz.dta", keepusing(HHI_mean_r)
drop _merge

sum HHI_mean_r, detail


format %3.2f HHI_mean_r 



*create map


spmap HHI_mean_r using "$data\coord_ram.dta", id(mapid) clmethod(quantile) clnumber(4) fcolor(Greys) ocolor(black) osize(vthin) legstyle(2) legenda(on) leglabel("Commuting Zones") 
graph export "$fig\Figure_C2.pdf", replace
graph export "$fig\Figure_C2.png", replace width(1600)

	


	
				